package com.gree.mall.miniapp.bean.coupon;

import com.gree.mall.miniapp.plus.entity.*;
import com.gree.mall.miniapp.plus.entity.Coupon;
import com.gree.mall.miniapp.plus.entity.CouponGoods;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@ApiModel
@Data
public class CouponBean extends Coupon {

    @ApiModelProperty( value = "商品列表")
    private List<CouponGoods> goodsList;

    @ApiModelProperty( value = "会员列表")
    private List<CouponTag> couponTagList;
}
