package com.gree.mall.miniapp.bean.es;

import com.gree.mall.miniapp.bean.order.BuyGood;
import com.gree.mall.miniapp.bean.order.OrderOldProductAdd;
import com.gree.mall.miniapp.enums.PayTypeEnum;
import com.gree.mall.miniapp.plus.entity.EsOrderInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@ApiModel
@Data
public class EsOrderBuyBean   {

    @ApiModelProperty("二手商品id")
    private String esGoodsId;

    @ApiModelProperty("数量")
    private Integer num;

    @ApiModelProperty("收货地址id")
    private String userAddressId;

    @ApiModelProperty(value = "支付方式 WECHAT=微信支付 CASH=现金支付 TRANSFER=转账支付")
    private String payType;

}
