package com.gree.mall.miniapp.bean.goods;

import com.gree.mall.miniapp.plus.entity.GoodsSpec;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@ApiModel
@Data
public class CategoryBean {

    @ApiModelProperty("分类id")
    private String categoryId;

    @ApiModelProperty("分类名称")
    private String name;
    @ApiModelProperty("图片url")
    private String imgUrl;
    @ApiModelProperty("商品数量")
    private String goodsNum;
    @ApiModelProperty("层级")
    private String level;
    @ApiModelProperty("上层id")
    private String parentId;
    @ApiModelProperty("排序值")
    private String sortNum;

    @ApiModelProperty("子分类")
    private List<CategoryBean> sub;

}
