package com.gree.mall.miniapp.bean.goods;

import com.gree.mall.miniapp.plus.entity.OrderComment;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@ApiModel
@Data
public class GoodsComment extends OrderComment {

    @ApiModelProperty("用户名称")
    private String userName;
    @ApiModelProperty("用户头像")
    private String avatar;
    @ApiModelProperty("标签")
    private List<String> tags;
    @ApiModelProperty("图片")
    private List<String> imgs;

}
