package com.gree.mall.miniapp.bean.goods;

import com.gree.mall.miniapp.plus.entity.GoodsSpec;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

@ApiModel
@Data
public class GoodsSpecSecBean extends GoodsSpec {
    @ApiModelProperty(value = "秒杀id")
    private String secKillId;

    @ApiModelProperty(value = "秒杀商品规格id")
    private String secKillSpecId;

    @ApiModelProperty(value = "秒杀商品库存")
    private Integer secStockNum;

    @ApiModelProperty(value = "秒杀商品限制购买数量")
    private Integer limitBuy;

    @ApiModelProperty(value = "场次结束时间")
    private Integer endHour;

    @ApiModelProperty(value = "秒杀分销金额")
    private BigDecimal secShareAmount;

    @ApiModelProperty(value = "秒杀价格")
    private BigDecimal secPrice;

    @ApiModelProperty(value = "是否正在秒杀商品,true:秒杀中,false:非秒杀")
    private Boolean secType;

    @ApiModelProperty("商品划线价")
    private BigDecimal orgGoodsPrice;

    @ApiModelProperty("满几件最优惠(满件商品才有该字段)")
    private Integer promotionFullPieceNum;
    @ApiModelProperty("满件条件最优惠的单价(满件商品才有该字段)")
    private BigDecimal promotionFullPiecePrice;

}
