package com.gree.mall.miniapp.bean.goods;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel
@Data
public class PromotionGoodsBean {

    @ApiModelProperty("团购活动id")
    private String promotionGroupId;
    @ApiModelProperty("商品id")
    private String goodsId;
    @ApiModelProperty("商品名称")
    private String goodsName;
    @ApiModelProperty("商品图")
    private String goodsImgSrc;
    @ApiModelProperty("拼团价")
    private BigDecimal groupPrice;
    @ApiModelProperty("销售数量")
    private Integer saleNum;
    @ApiModelProperty("库存")
    private Integer stock;
    @ApiModelProperty("划线价")
    private BigDecimal orgGoodsPrice;

}
