package com.gree.mall.miniapp.bean.material;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel
public class MyDataCountBean {

    @ApiModelProperty(value = "新件待返还")
    private Integer newRefundCount;

    @ApiModelProperty(value = "旧件待返还")
    private Integer oldRefundCount;

    @ApiModelProperty(value = "辅材销售单数")
    private Integer materialSalesCount;

    @ApiModelProperty(value = "辅材销售金额")
    private BigDecimal materialSalesAmount;

    @ApiModelProperty(value = "配件销售单数")
    private Integer partsSalesCount;

    @ApiModelProperty(value = "配件销售金额")
    private BigDecimal partsSalesAmount;

    @ApiModelProperty(value = "待返还")
    private Integer waitRefundCount;

    @ApiModelProperty(value = "已返还")
    private Integer endRefundCount;

    @ApiModelProperty(value = "已提交")
    private Integer saveCount;

    @ApiModelProperty(value = "待支付")
    private Integer waitPayCount;

    @ApiModelProperty(value = "已支付")
    private Integer endPayCount;

    @ApiModelProperty(value = "已完成")
    private Integer endCount;

    @ApiModelProperty(value = "配件申请中")
    private Integer partsIngCount;

    @ApiModelProperty(value = "配件已到货")
    private Integer partsEndCount;

    @ApiModelProperty(value = "配件已取消")
    private Integer partsCancelCount;
}
