package com.gree.mall.miniapp.bean.material;

import com.gree.mall.miniapp.plus.entity.WebsitSales;
import com.gree.mall.miniapp.plus.entity.WebsitSalesItem;
import com.gree.mall.miniapp.plus.entity.WebsitSalesPayOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@ApiModel
@Data
public class SalesOrderBean extends WebsitSales {

    @ApiModelProperty(value = "支付订单")
    WebsitSalesPayOrder websitSalesPayOrder;

    @ApiModelProperty(value = "明细")
    List<WebsitSalesItem> items;
}
