package com.gree.mall.miniapp.bean.material;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel
public class WebsitShoppingCartBean {

    @ApiModelProperty(value = "商户编号", required = true)
    private String companyWechatId;
    @ApiModelProperty(value = "师傅编号", required = true)
    private String workerId;
    @ApiModelProperty("师傅名称")
    private String workerName;
    @ApiModelProperty(value = "师傅网点号")
    private String workerWebsitId;
    @ApiModelProperty(value = "师傅网点名称")
    private String workerWebsitName;
    @ApiModelProperty(value = "销售网点编号", required = true)
    private String websitId;
    @ApiModelProperty("网点名称")
    private String websitName;
    @ApiModelProperty(value = "商品类型 M=辅材 P=配件", required = true)
    private String goodsType;
    @ApiModelProperty("备注")
    private String remark;
    @ApiModelProperty("购物清单")
    private List<WebsitBuyGood> websitBuyGoods;
}
