package com.gree.mall.miniapp.bean.material.parts;

import com.gree.mall.miniapp.plus.entity.WebsitPartsOldRefundManageRecord;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class OldRefundManageRecordBean extends WebsitPartsOldRefundManageRecord {

    @ApiModelProperty("退款状态")
    private String refundStateName;

    @ApiModelProperty("维修标识 INNER=保内 OUTSIDE=保外")
    private String repairFlagName;

    @ApiModelProperty("是否备用件 false=否 true=是")
    private String isBackupName;

}
