package com.gree.mall.miniapp.bean.material.parts;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel
@Data
public class WebsitPartsStockBean {

    @ApiModelProperty("id")
    private String id;

    @ApiModelProperty("商户编号")
    private String companyWechatId;

    @ApiModelProperty("商户名称")
    private String companyWechatName;

    @ApiModelProperty("网点编号")
    private String websitId;

    @ApiModelProperty("网点名称")
    private String websitName;

    @ApiModelProperty("配件网点编号")
    private String partsWebsiteNumber;

    @ApiModelProperty("配件编码")
    private String partsNumber;

    @ApiModelProperty("配件名称")
    private String partsName;

    @ApiModelProperty("物料组名称")
    private String materialGroupName;

    @ApiModelProperty("单位")
    private String goodsStockUnit;

    @ApiModelProperty("新件库存")
    private BigDecimal qty;

    @ApiModelProperty("旧件库存")
    private BigDecimal oldQty;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("更新人")
    private String updateBy;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("市场价")
    private BigDecimal marketPrice;

    @ApiModelProperty("优惠价1")
    private BigDecimal firstPrice;

    @ApiModelProperty("优惠价2")
    private BigDecimal secondPrice;

    @ApiModelProperty("配件类型")
    private String partType;

    @ApiModelProperty("销售价")
    private BigDecimal salesPrice;
}
