package com.gree.mall.miniapp.bean.material.parts;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel
public class WorkerStockCensusBean {
    @ApiModelProperty("师傅身份证")
    private String identity;

    @ApiModelProperty("师傅编号")
    private String workerId;

    @ApiModelProperty("师傅名称")
    private String workerName;

    @ApiModelProperty("新件库存")
    private BigDecimal newQty;

    @ApiModelProperty("旧件库存")
    private BigDecimal oldQty;

    @ApiModelProperty("新件待返还数量")
    private BigDecimal newRefundQty;

    @ApiModelProperty("新件待返还金额")
    private BigDecimal newRefundAmount;

    @ApiModelProperty("旧件待返还数量")
    private BigDecimal oldRefundQty;

    @ApiModelProperty("旧件待返还金额")
    private BigDecimal oldRefundAmount;
}
