package com.gree.mall.miniapp.bean.order;

import com.gree.mall.miniapp.plus.entity.LeaseOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class LeaseOrderVO extends LeaseOrder {

    @ApiModelProperty(value = "商品分类名称")
    private String categoryName;
    @ApiModelProperty(value = "商品分类图片url")
    private String categoryUrl;
    @ApiModelProperty(value = "租赁商品名称")
    private String goodsLeaseName;
    @ApiModelProperty(value = "保修描述")
    private String repairRemark;
    @ApiModelProperty(value = "数量")
    private Integer qty;
    @ApiModelProperty(value = "起租日期")
    private Date startDate;
    @ApiModelProperty(value = "到期日期")
    private Date endDate;
    @ApiModelProperty(value = "实际到期日期")
    private Date realEndDate;
}
