package com.gree.mall.miniapp.bean.order;

import com.gree.mall.miniapp.plus.entity.OrderDetail;
import com.gree.mall.miniapp.plus.entity.OrderInfo;
import com.gree.mall.miniapp.plus.entity.OrderDetail;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class OrderDetailBean extends OrderInfo {

    @ApiModelProperty("订单详情")
    private List<OrderDetail> orderDetails;
    @ApiModelProperty("结算状态")
    private String orderShareStatus;

    @ApiModelProperty("是否为分销单")
    private Boolean isShareOrder = false;


    @ApiModelProperty("回收信息明细")
    private List<OrderOldProductDTO> orderOldProductDTOList;

}
