package com.gree.mall.miniapp.bean.order;

import com.gree.mall.miniapp.plus.entity.PromotionFullPieceItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@ApiModel
@Data
public class ShoppingCartDetail {

    @ApiModelProperty("购物车总数量")
    private Integer totalNum;
    @ApiModelProperty("购物车总金额（不含运费）")
    private BigDecimal totalAmount;
    @ApiModelProperty("购物车商品数组")
    private List<ShoppingCartList> shoppingCartLists;

    @ApiModelProperty("满件打折条件")
    private List<PromotionFullPieceItem> promotionFullPieceItems;

}
