package com.gree.mall.miniapp.bean.order;

import com.gree.mall.miniapp.plus.entity.ShoppingCart;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel
@Data
public class ShoppingCartList extends ShoppingCart {

    @ApiModelProperty("单价")
    private BigDecimal price;
    @ApiModelProperty("商品名称")
    private String goodsName;
    @ApiModelProperty("划线价格")
    private BigDecimal orgPrice;
    @ApiModelProperty("规格值")
    private String specValue;
    @ApiModelProperty("当前商品总价(单价*数量)")
    private BigDecimal totalPrice;
    @ApiModelProperty("商品图")
    private String goodsImg;
    @ApiModelProperty("满件打折商品")
    private Boolean promotionFullPiece;

//    @ApiModelProperty("商品单位")
//    private String measureUnit;

}
