package com.gree.mall.miniapp.bean.promotion;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel
@Data
public class PromotionLuckDrawExchangeDetail {

    @ApiModelProperty("活动名称")
    private String name;
    @ApiModelProperty("奖品")
    private String couponName;
    @ApiModelProperty("活动开始时间")
    private Date startTime;
    @ApiModelProperty("活动结束时间")
    private Date endTime;
    @ApiModelProperty("使用开始时间")
    private Date useStartTime;
    @ApiModelProperty("使用结束时间")
    private Date useEndTime;
    @ApiModelProperty("使用条件")
    private String useRemark;
    @ApiModelProperty("活动说明")
    private String remark;

    @ApiModelProperty("是否兑换true/false")
    private Boolean status;
    @ApiModelProperty("是否使用true/false")
    private Boolean use;
    @ApiModelProperty("使用时间")
    private Date useTime;
    @ApiModelProperty("兑换时间")
    private Date userExchangeTime;
    @ApiModelProperty("满减券需满足金额")
    private BigDecimal orderLimitAmount;
    @ApiModelProperty("券类型 SATISFY=满减券 GOODS=商品券 DISCOUNT=折扣券")
    private String couponType;

}
