package com.gree.mall.miniapp.bean.settle;

import com.gree.mall.miniapp.enums.OrderShareStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author ：lijh
 * @description：TODO
 * @date ：2024/1/10 11:07
 */
@ApiModel
@Data
public class OrderShareBean {
    @ApiModelProperty("佣金")
    private BigDecimal amount;
    @ApiModelProperty("手续费")
    private BigDecimal handleFees;
    @ApiModelProperty("订单号")
    private String orderId;
    @ApiModelProperty("支付金额")
    private BigDecimal payment;
    @ApiModelProperty("支付时间")
    private Date payTime;
    @ApiModelProperty("状态")
    private OrderShareStatusEnum status;
    @ApiModelProperty("1=商城分销订单 2=延保分销订单")
    private Integer flag;
}
