package com.gree.mall.miniapp.bean.settle.repair;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel
@Data
public class DailyReportBean {

    @ApiModelProperty(value = "工资条编号")
    private String salaryNo;

    @ApiModelProperty(value = "发放月份")
    private String issueMonth;

    @ApiModelProperty(value = "发放时间")
    private Date issueTime;

    @ApiModelProperty(value = "维修结算费用")
    private BigDecimal repairTotalAmount;

    @ApiModelProperty(value = "工伤残保扣除")
    private BigDecimal totalEmpCost;

    @ApiModelProperty(value = "暂扣比例")
    private BigDecimal withholdRate;

    @ApiModelProperty(value = "暂扣费用")
    private BigDecimal withholdCost;

    @ApiModelProperty(value = "需扣回费用")
    private BigDecimal reduceCost;

    @ApiModelProperty(value = "增减费用")
    private BigDecimal inCrDecrCost;

    @ApiModelProperty(value = "应发费用")
    private BigDecimal issueCost;
}
