package com.gree.mall.miniapp.bean.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@ApiModel
@Data
public class RankBean {
    @ApiModelProperty("排行榜")
    private List<RankItemBean> rankList;
    @ApiModelProperty("我的排名")
    private RankItemBean myRank;
    @ApiModelProperty("开始时间")
    private String startPeriod;
    @ApiModelProperty("结束时间")
    private String endPeriod;
    @ApiModelProperty("业绩是否上涨,true:上涨,false:下降")
    private Boolean upOrDown;
    @ApiModelProperty("上月业绩")
    private BigDecimal income;
}
