package com.gree.mall.miniapp.bean.workorder;

import com.gree.mall.miniapp.plus.entity.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel
public class RpMaterialOrderVO extends RpMaterialOrder {

    @ApiModelProperty(value = "item")
    private List<RpMaterialOrderItem> rpMaterialOrderItems;

    @ApiModelProperty(value = "工单师傅")
    private List<PgOrderWorker> pgOrderWorkers;

    @ApiModelProperty(value = "工单")
    private PgOrderBase pgOrderBase;

    @ApiModelProperty(value = "工单产品")
    private List<PgOrderProduct> pgOrderProducts;
}
