package com.gree.mall.miniapp.commonmapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.gree.mall.miniapp.bean.settle.OrderShareBean;
import com.gree.mall.miniapp.bean.user.MyProfitBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;

@Mapper
public interface MyProfitMapper {
    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    MyProfitBean queryProfitSum(@Param("userId") String userId);

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    IPage<OrderShareBean> queryOrderShareList(IPage page, @Param("userId") String userId, @Param("status") String status);

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    BigDecimal queryProfitSumByTime(@Param("userId") String userId,@Param("startTime") String startTime,@Param("endTime") String endTime);

}
