package com.gree.mall.miniapp.commonmapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.gree.mall.miniapp.bean.user.RankItemBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

@Mapper
public interface OrderShareRankMapper {

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    List<RankItemBean> queryRankList(@Param("userId") String userId,
                                     @Param("startTime") Date startTime,
                                     @Param("endTime") Date endTime,
                                     @Param("companyWechatId") String companyWechatId);

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    RankItemBean queryWorkerInfo(@Param("userId") String userId,@Param("companyWechatId") String companyWechatId);


}
