package com.gree.mall.miniapp.commonmapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gree.mall.miniapp.plus.entity.SecKillActivitySpec;
import com.gree.mall.miniapp.plus.entity.SecKillStage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface SecActivityStageMapper {

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    Integer queryStageCount(@Param("secKillId") String secKillId);

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    SecKillStage queryStage(@Param("secKillId") String secKillId);
    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    IPage<SecKillActivitySpec> querySecGoods(Page page,@Param("secKillId") String secKillId);

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    public SecKillActivitySpec getSecKillSpecByGoodsSpecId(@Param("goodsSpecId") String goodsSpecId);

    /**
     * 查询改商品的秒杀活动明细
     */
    SecKillActivitySpec getSecKillActivitySpecByGoodId(@Param("companyWechatId")String companyWechatId,@Param("goodId") String goodId);

}
