package com.gree.mall.miniapp.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum FeePayMethodEnum   {
    EXAMINE("EXAMINE","审批后结算"),
    SITE("SITE","现场支付"),
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;
}


