package com.gree.mall.miniapp.enums;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.miniapp.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum IsYesNoEnum implements BaseEnum {
    YES("YES","是"),
    NO("NO","否");

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;



}
