package com.gree.mall.miniapp.enums.material;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.miniapp.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum BuyPeopleEnum implements BaseEnum {
    WORKER("WORKER","内部师傅"),
    CUSTOMER("CUSTOMER","客户");

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;
}
