package com.gree.mall.miniapp.enums.material;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.miniapp.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum DirectFlagEnum implements BaseEnum {
    ADD("ADD","增加"),
    SUB("SUB","减少");

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;
}
