package com.gree.mall.miniapp.enums.workorder;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.miniapp.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 服务单业务线
 *  每种类型，都决定了一种流程，请勿随便增加
 */
@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum OrderTypeEnum implements BaseEnum {
    INSTALL("INSTALL","安装单)"),
    REPAIR("REPAIR","维修单)")
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;
}
