package com.gree.mall.miniapp.utils;

import java.math.BigDecimal;

public class RSAUtils {

//    public static final String CHARSET = "UTF-8";
//    public static final String RSA_ALGORITHM = "RSA";
//
//
//    public static Map<String, String> createKeys(int keySize){
//        //为RSA算法创建一个KeyPairGenerator对象
//        KeyPairGenerator kpg;
//        try{
//            kpg = KeyPairGenerator.getInstance(RSA_ALGORITHM);
//        }catch(NoSuchAlgorithmException e){
//            throw new IllegalArgumentException("No such algorithm-->[" + RSA_ALGORITHM + "]");
//        }
//
//        //初始化KeyPairGenerator对象,密钥长度
//        kpg.initialize(keySize);                //keySize 可以为1024
//        //生成密匙对
//        KeyPair keyPair = kpg.generateKeyPair();
//        //得到公钥
//        Key publicKey = keyPair.getPublic();
//        String publicKeyStr = Base64.encodeBase64URLSafeString(publicKey.getEncoded());
//        //得到私钥
//        Key privateKey = keyPair.getPrivate();
//        String privateKeyStr = Base64.encodeBase64URLSafeString(privateKey.getEncoded());
//        Map<String, String> keyPairMap = new HashMap<String, String>();
//        keyPairMap.put("publicKey", publicKeyStr);
//        keyPairMap.put("privateKey", privateKeyStr);
//
//        return keyPairMap;
//    }
//
//    /**
//     * 得到公钥
//     * @param publicKey 密钥字符串（经过base64编码）
//     * @throws Exception
//     */
//    public static RSAPublicKey getPublicKey(String publicKey) throws NoSuchAlgorithmException, InvalidKeySpecException {
//        //通过X509编码的Key指令获得公钥对象
//        KeyFactory keyFactory = KeyFactory.getInstance(RSA_ALGORITHM);
//        X509EncodedKeySpec x509KeySpec = new X509EncodedKeySpec(Base64.decodeBase64(publicKey));
//        RSAPublicKey key = (RSAPublicKey) keyFactory.generatePublic(x509KeySpec);
//        return key;
//    }
//
//    /**
//     * 得到私钥
//     * @param privateKey 密钥字符串（经过base64编码）
//     * @throws Exception
//     */
//    public static RSAPrivateKey getPrivateKey(String privateKey) throws NoSuchAlgorithmException, InvalidKeySpecException {
//        //通过PKCS#8编码的Key指令获得私钥对象
//        KeyFactory keyFactory = KeyFactory.getInstance(RSA_ALGORITHM);
//        PKCS8EncodedKeySpec pkcs8KeySpec = new PKCS8EncodedKeySpec(Base64.decodeBase64(privateKey));
//        RSAPrivateKey key = (RSAPrivateKey) keyFactory.generatePrivate(pkcs8KeySpec);
//        return key;
//    }
//
//    /**
//     * 公钥加密
//     * @param data
//     * @param publicKey
//     * @return
//     */
//    public static String publicEncrypt(String data, RSAPublicKey publicKey){
//        try{
//            Cipher cipher = Cipher.getInstance("RSA");
//
//            cipher.init(Cipher.ENCRYPT_MODE, publicKey);
//
//            return Base64.encodeBase64URLSafeString(rsaSplitCodec(cipher, Cipher.ENCRYPT_MODE, data.getBytes(CHARSET), publicKey.getModulus().bitLength()));
//        }catch(Exception e){
//            throw new RuntimeException("加密字符串[" + data + "]时遇到异常", e);
//        }
//    }
//
//    /**
//     * 私钥解密
//     * @param data
//     * @param privateKey
//     * @return
//     */
//
//    public static String privateDecrypt(String data, RSAPrivateKey privateKey){
//        try{
//            Cipher cipher = Cipher.getInstance(RSA_ALGORITHM);
//            cipher.init(Cipher.DECRYPT_MODE, privateKey);
//            return new String(rsaSplitCodec(cipher, Cipher.DECRYPT_MODE, Base64.decodeBase64(data), privateKey.getModulus().bitLength()), CHARSET);
//        }catch(Exception e){
//            throw new RuntimeException("解密字符串[" + data + "]时遇到异常", e);
//        }
//    }
//
//    /**
//     * 私钥加密
//     * @param data
//     * @param privateKey
//     * @return
//     */
//
//    public static String privateEncrypt(String data, RSAPrivateKey privateKey){
//        try{
//            Cipher cipher = Cipher.getInstance(RSA_ALGORITHM);
//            cipher.init(Cipher.ENCRYPT_MODE, privateKey);
//            return Base64.encodeBase64URLSafeString(rsaSplitCodec(cipher, Cipher.ENCRYPT_MODE, data.getBytes(CHARSET), privateKey.getModulus().bitLength()));
//        }catch(Exception e){
//            throw new RuntimeException("加密字符串[" + data + "]时遇到异常", e);
//        }
//    }
//
//    /**
//     * 公钥解密
//     * @param data
//     * @param publicKey
//     * @return
//     */
//
//    public static String publicDecrypt(String data, RSAPublicKey publicKey){
//        try{
//            Cipher cipher = Cipher.getInstance(RSA_ALGORITHM);
//            cipher.init(Cipher.DECRYPT_MODE, publicKey);
//            return new String(rsaSplitCodec(cipher, Cipher.DECRYPT_MODE, Base64.decodeBase64(data), publicKey.getModulus().bitLength()), CHARSET);
//        }catch(Exception e){
//            throw new RuntimeException("解密字符串[" + data + "]时遇到异常", e);
//        }
//    }
//
//    private static byte[] rsaSplitCodec(Cipher cipher, int opmode, byte[] datas, int keySize){
//        int maxBlock = 0;
//        if(opmode == Cipher.DECRYPT_MODE){
//            maxBlock = keySize / 8;
//        }else{
//            maxBlock = keySize / 8 - 11;
//        }
//        ByteArrayOutputStream out = new ByteArrayOutputStream();
//        int offSet = 0;
//        byte[] buff;
//        int i = 0;
//        try{
//            while(datas.length > offSet){
//                if(datas.length-offSet > maxBlock){
//                    buff = cipher.doFinal(datas, offSet, maxBlock);
//                }else{
//                    buff = cipher.doFinal(datas, offSet, datas.length-offSet);
//                }
//                out.write(buff, 0, buff.length);
//                i++;
//                offSet = i * maxBlock;
//            }
//        }catch(Exception e){
//            throw new RuntimeException("加解密阀值为["+maxBlock+"]的数据时发生异常", e);
//        }
//        byte[] resultDatas = out.toByteArray();
//        IOUtils.closeQuietly(out);
//        return resultDatas;
//    }



    /*public static void main (String[] args) throws Exception {
        Map<String, String> keyMap = RSAUtils.createKeys(1024);
        //String  publicKey = keyMap.get("publicKey");
        String  publicKey = "MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCuclAHrSV1zsj88gtgmnP9wMWc" +
                "\nRSim/PcL+VEHXKo2WCeFzi8xEILShFa46dam3LlZIYejggd1gifwlYYDSJTgfX9a" +
                "\nS9dVoIU9ibhYbWoonRoUq0nnhz98OFxYYC2Li4TnZnyI9V4cbTedt3ABqM9SuGIb" +
                "\nbK1Y+QBeDrIbIJZ4DwIDAQAB";
        String  privateKey = keyMap.get("privateKey");
        System.out.println("公钥: \n\r" + publicKey);
        System.out.println("私钥： \n\r" + privateKey);

        System.out.println("公钥加密——私钥解密");


        String url = "https://poi.igeekee.cn/oauth2/api/token";
        TreeMap<Object,Object> data = new TreeMap<Object,Object>();
        TreeMap<Object,Object> paramt = new TreeMap<Object,Object>();
        paramt.put("source","jkmallhaiyin_outlets");
        paramt.put("userKey","ee6d08caeb4cb429acac3bd03c0f38fa");
        paramt.put("code","12345677454");

        String paramtStr = JSON.toJSONString(paramt);
        System.out.println("----参数转json字符--:"+paramtStr);

        //String str = "test123456";
        //String str = "{\"source\":\"test\",\"userKey\":\"16d05e12ae46028eec9e3de90a894188\",\"access_token\":\"access_token\",\"refresh_token\":\"refresh_token\"}";

        System.out.println("\r明文：\r\n" + paramtStr);
        System.out.println("\r明文大小：\r\n" + paramtStr.getBytes().length);


        //公钥加密
        String encodedData = RSAUtils.publicEncrypt(paramtStr, RSAUtils.getPublicKey(publicKey));
        //3.URL编码
        String result = java.net.URLEncoder.encode(encodedData, "UTF-8");

        System.out.println("----字符串加密后的--:"+result);

        data.put("data",result);

        System.out.println("----最后传参的字符串--:"+JSON.toJSONString(data));
        String str = HttpUtils.requestPostBody(url, JSON.toJSONString(data),null);

        System.out.println("----最后返回--:"+str);

    }*/



    /*public static void main (String[] args) throws Exception {
        String mobile = "18680524986";
        String nickName = mobile.substring(0,3) + "****" + mobile.substring(7);
        System.out.println(nickName);

    }*/

    public static void main(String[] args) {

        // create 2 BigDecimal Objects
        BigDecimal bg1 = new BigDecimal("-123.22");
        BigDecimal bg2 = new BigDecimal("123.126");

        System.out.println( ""+bg1.abs() );
        System.out.println( ""+bg2.negate() );

        System.out.println( ""+ bg1.abs().add(bg2.negate()) );
    }






}