package com.gree.mall.manager.bean;


import com.gree.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ZfireField(tbName = "a")
@Data
public class CommonTemplateVO   {

    @ZfireField(tbName = "a",hide = true)
    @ApiModelProperty(value = "公共模板id")
    private String commonTemplateId;

    @ZfireField(tbName = "a",hide = true)
    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "模板名称")
    private String name;

    @ZfireField(tbName = "a",hide = true)
    @ApiModelProperty(value = "类型")
    private Integer type;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ZfireField(tbName = "a",hide = true)
    @ApiModelProperty(value = "企业微信id")
    private String companyWechatId;

//    @ApiModelProperty(value = "商户名称")
//    private String companyName;

    @ZfireField(tbName = "a",hide = true)
    @ApiModelProperty(value = "水印logo")
    private String logo;


}
