package com.gree.mall.manager.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel
public class OutAppDefaultReq {
    @ApiModelProperty("接入ID")
    private String appid;
    @ApiModelProperty("时间戳")
    private String timestamp;
    @ApiModelProperty("签名类型")
    private String signType;
    @ApiModelProperty("签名")
    private String sign;
    @ApiModelProperty("版本")
    private String version;
    @ApiModelProperty("接口名称")
    private String apiPath;
    @ApiModelProperty("业务参数")
    private String bizContent;
    @ApiModelProperty("六位随机字符")
    private String rand;
}
