package com.gree.mall.manager.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;

@Accessors(chain = true)
@ApiModel
@Data
public class PayDetail {
    @ApiModelProperty(value = "paySign")
    private String paySign;
    @ApiModelProperty(value = "微信返回的预支付id")
    private String payPackage;
    @ApiModelProperty(value = "paySign")
    private String nonceStr;
    @ApiModelProperty(value = "当前的时间")
    private String timeStamp;
    @ApiModelProperty("支付id")
    private String id;
    @ApiModelProperty("是否需要微信支付 true/false")
    private Boolean isPay = true;
    @ApiModelProperty("扫码支付的url")
    private String codeUrl;
    @ApiModelProperty(value = "支付金额")
    private BigDecimal payAmount;
    @ApiModelProperty(value = "支付失效时间")
    private Date timeExpire;
}
