package com.gree.mall.manager.bean;

import com.gree.mall.manager.plus.entity.PgOrderBase;
import com.gree.mall.manager.plus.entity.PgOrderOperatorLog;
import com.gree.mall.manager.plus.entity.PgOrderProduct;
import com.gree.mall.manager.plus.entity.PgOrderWorker;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class SyncOrderDto   {

    @ApiModelProperty("工单列表")
    private List<PgOrderBase> pgOrderBases;

    @ApiModelProperty("师傅id(第一个为大工)")
    private List<PgOrderWorker> orderWorkers;
    @ApiModelProperty("产品信息")
    private List<PgOrderProduct> orderProducts;

    @ApiModelProperty("操作明细")
    private List<PgOrderOperatorLog> pgOrderOperatorLogs;
}
