package com.gree.mall.manager.bean.activity;

import com.gree.mall.manager.plus.entity.PromotionGroupSpec;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class PromotionGoods {

    @ApiModelProperty("商品id")
    private String goodsId;
    @ApiModelProperty("商品名称")
    private String goodsName;
    @ApiModelProperty("商品图")
    private String goodsImgSrc;
    @ApiModelProperty("活动规格列表")
    private List<PromotionGroupSpec> specs;
    @ApiModelProperty("排序")
    private Integer sortNum;

}
