package com.gree.mall.manager.bean.activity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel
@Data
public class PromotionGroupDetail {

    @ApiModelProperty("用户id")
    private String userId;
    @ApiModelProperty("团长名称")
    private String nickName;
    @ApiModelProperty("所属网点")
    private String websitName;
    @ApiModelProperty("职务")
    private String position;
    @ApiModelProperty("手机号码")
    private String phone;
    @ApiModelProperty("首次分享时间")
    private Date firstTime;
    @ApiModelProperty("分享次数")
    private Integer shareNum;
    @ApiModelProperty("订单数量")
    private Integer orderNum;
    @ApiModelProperty("订单台数")
    private Integer goodsNum;
    @ApiModelProperty("成交金额")
    private BigDecimal orderTotalAmount;
    @ApiModelProperty("团长分佣总额")
    private BigDecimal shareTotalAmount;
    @ApiModelProperty("团长已分佣金额")
    private BigDecimal settledAmount;
}
