package com.gree.mall.manager.bean.activity.fullpiece;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel
@Data
public class PromotionFullPieceOrderVO {

    @ApiModelProperty("订单号")
    private String orderId;
    @ApiModelProperty("商品名称")
    private String goodsName;
    @ApiModelProperty("件数")
    private Integer num;
    @ApiModelProperty("订单金额")
    private BigDecimal payAmount;
    @ApiModelProperty("佣金比例(例如：0.1)")
    private BigDecimal shareRate;
    @ApiModelProperty("订单状态 NOPAY:待付款 DFH:待发货 YFH:已发货 OVER:已完成 CLOSE:已关闭 TIMEOUT:超时取消 REFUND:售后")
    private String orderStatus;
    @ApiModelProperty("下单时间")
    private Date createTime;
}
