package com.gree.mall.manager.bean.activity.luckdraw;

import com.gree.mall.manager.plus.entity.Goods;
import com.gree.mall.manager.plus.entity.PromotionLuckDrawCoupon;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class PromotionLuckDrawCouponBean extends PromotionLuckDrawCoupon {

    @ApiModelProperty("商品券对应商品id")
    private List<String> goodsIds;

    @ApiModelProperty("商品券对应的商品（详情用，新增不用传）")
    private List<Goods> goodsList;

    @ApiModelProperty("兑换数量（详情用，新增不用传）")
    private Integer dhsl = 0;
    @ApiModelProperty("剩余兑换数量（详情用，新增不用传）")
    private Integer sydhsl = 0;
    @ApiModelProperty("使用数量（详情用，新增不用传）")
    private Integer sysl = 0;
    @ApiModelProperty("未使用数量（详情用，新增不用传）")
    private Integer wsysl = 0;

}
