package com.gree.mall.manager.bean.big;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class LargeOneBean {

    @ApiModelProperty(value = "总商户数")
    private Integer companyNum;

    @ApiModelProperty(value = "今日登录商户数")
    private Integer loginCompanyNum;

    @ApiModelProperty(value = "今日登录商户数百分比")
    private BigDecimal loginCompanyNumPer;

    @ApiModelProperty(value = "总工程师")
    private Integer allWorker;

    @ApiModelProperty(value = "今日登录总工程师")
    private Integer loginAllWorker;

    @ApiModelProperty(value = "今日登录总工程师数百分比")
    private BigDecimal loginAllWorkerPer;

    @ApiModelProperty(value = "总分销员")
    private Integer allService;

    @ApiModelProperty(value = "今日登录分销员")
    private Integer loginAllService;

    @ApiModelProperty(value = "今日登录分销员数百分比")
    private BigDecimal loginAllServicePer;


    @ApiModelProperty(value = "总用户")
    private Integer allUser;

    @ApiModelProperty(value = "今日登录用户")
    private Integer loginAllUser;

    @ApiModelProperty(value = "今日登录分销员数百分比")
    private BigDecimal loginAllUserPer;


    @ApiModelProperty(value = "总工单")
    private Integer allWorkerOrderNum;


    @ApiModelProperty(value = "未完工")
    private Integer neverWorkerNum;


    @ApiModelProperty(value = "销售订单")
    private Integer salesOrderNum;

    @ApiModelProperty(value = "增值订单")
    private Integer increOrderNum;


}
