package com.gree.mall.manager.bean.carouselMap;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.CarouseTypeEnum;
import com.gree.mall.manager.enums.StatusEnum;
import com.gree.mall.manager.enums.es.CarouselMapPortEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ZfireField(tbName = "a")
@Data
public class CarouselMapVO   {


    @ZfireField(hide = true)
    @ApiModelProperty(value = "轮翻id")
    private String id;

//    @ApiModelProperty(value = "商户名称")
//    private String companyName;

    @ApiModelProperty(value = "轮播图名称")
    private String carouselName;

    @ApiModelProperty(value = "类型")
    private CarouselMapPortEnum port;

    @ApiModelProperty(value = "链接类型")
    private CarouseTypeEnum type;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "链接地址")
    private String linkUrl;

    @ApiModelProperty(value = "状态")
    private StatusEnum state;
    @ZfireField(hide = true)
    @ApiModelProperty(value = "图片类型")
    private String imgType;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "图片地址")
    private String imgSrc;

    @ApiModelProperty(value = "排序(降序)")
    private Integer sortNum;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "链接商品id")
    private String goodsId;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    private String updateBy;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "企业微信id")
    private String companyWechatId;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "凡科活动APPID")
    private String appId;

}
