package com.gree.mall.manager.bean.common;


import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.constant.SysDictConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ZfireField(tbName = "a")

@Data
public class SysDictRefVO {

    @ZfireField(hide = true)
    private String id;

    @ZfireField(frontCode = SysDictConstant.SYS_DICT_TYPE,type="select",colName = "dict_type")
    @ApiModelProperty("字典类型")
    private String dictTypeName;

    @ApiModelProperty("字典编号")
    private String dictCode;

    @ApiModelProperty("字典值")
    private String dictValue;

    @ApiModelProperty("备注")
    private String remark;

    @ZfireField(isQuery = false)
    @ApiModelProperty("排序")
    private Integer sortNum;

    @ZfireField(frontCode = SysDictConstant.BRAND,type = "select",colName = "brand_id")
    @ApiModelProperty("结算主体")
    private String brandName;

    @ApiModelProperty("对应字典编号")
    private String refDictCode;

    @ApiModelProperty("对应字典名称")
    private String refDictName;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("修改时间")
    private Date updateTime;

    @ApiModelProperty("修改人")
    private String updateBy;

}
