package com.gree.mall.manager.bean.contract;

import com.gree.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class SettleRelaConfigVO {

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "所属公司")
    private String belongCompany;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "所属公司编号")
    private String belongCompanyCode;

    @ZfireField(tbName = "b", colName = "name", ignoreSelect = true)
    @ApiModelProperty(value = "一级网点名称")
    private String parentName;

    @ApiModelProperty(value = "一级网点编号")
    private String websitId;

    @ZfireField(tbName = "d", colName = "name", ignoreSelect = true)
    @ApiModelProperty(value = "二级网点名称")
    private String subName;

    @ZfireField(tbName = "c")
    @ApiModelProperty(value = "二级网点编号")
    private String subWebsitId;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private String createTime;

    @ApiModelProperty(value = "修改人")
    private String updateBy;

    @ApiModelProperty(value = "修改时间")
    private String updateTime;
}
