package com.gree.mall.manager.bean.count;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel
@Data
public class CountOrderBean {

    @ApiModelProperty("成交量")
    private Integer orderNum = 0;
    @ApiModelProperty("成交额")
    private BigDecimal amount = new BigDecimal(0);
    @ApiModelProperty("人均消费")
    private BigDecimal avgAmount = new BigDecimal(0);

    @ApiModelProperty("x轴")
    private String[] x;
    //各时段订单数
    private int[] countAry ;

}
