package com.gree.mall.manager.bean.count;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class EsCountBean {

    @ApiModelProperty("累计销售")
    private Integer total = 0;
    @ApiModelProperty("已售中商品")
    private Integer sold = 0;
    @ApiModelProperty("待发货数量")
    private Integer dfh = 0;
    @ApiModelProperty("维权订单数量")
    private Integer refund = 0;
//    @ApiModelProperty("待审核提现/结算金额")
//    private BigDecimal orderShareAmount;
    @ApiModelProperty("今日访客数量")
    private Integer todayVisit = 0;
    @ApiModelProperty("昨日访客")
    private Integer yestodayVisit = 0;
    @ApiModelProperty("今日订单数")
    private Integer todayOrder = 0;
    @ApiModelProperty("昨日订单数")
    private Integer yestodayOrder = 0;
    @ApiModelProperty("今日收益")
    private BigDecimal todayProfit = new BigDecimal(0);
    @ApiModelProperty("昨日收益")
    private BigDecimal yestodayProfit = new BigDecimal(0);
    @ApiModelProperty("下单转化率")
    private BigDecimal orderTax = new BigDecimal(0);



}
