package com.gree.mall.manager.bean.count;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel
@Data
public class RepairProjectCount {

    @ApiModelProperty("总维护数量")
    private Integer allProjectNum = 0;

    @ApiModelProperty("有效项目数量")
    private Integer onProjectNum = 0;

    @ApiModelProperty("已过期项目数量")
    private Integer endProjectNum = 0;

    @ApiModelProperty("不含费用待审核数量")
    private Integer noPriceWaitNum = 0;

    @ApiModelProperty("不含费用审核通过数量")
    private Integer noPriceOKNum = 0;

    @ApiModelProperty("不含费用驳回数量")
    private Integer noPriceFailNum = 0;

    @ApiModelProperty("不含费用取消数量")
    private Integer noPriceNoNum = 0;

    @ApiModelProperty("不含费用已支付数量")
    private Integer noPriceNoPaidNum = 0;

    @ApiModelProperty("不含费用未支付数量")
    private Integer noPricePaidNum = 0;


    @ApiModelProperty("全包费用统计")
    private Integer priceOrderNum = 0;
}
