package com.gree.mall.manager.bean.coupon;

import com.gree.mall.manager.plus.entity.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@ApiModel
@Data
public class CouponBean extends Coupon {

    @ApiModelProperty( value = "商品列表")
    private List<CouponGoods> goodsList;

    @ApiModelProperty( value = "待发券标签列表")
    private List<CouponTag> tagList;

    @ApiModelProperty( value = "待发券用户列表")
    private List<CouponUserTypeBean> userList;


}
