package com.gree.mall.manager.bean.coupon;

import com.gree.mall.manager.plus.entity.CouponGoods;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@ApiModel
@Data
public class CouponExportBean {
    @ApiModelProperty(value = "领取时间")
    private Date receiveTime;

    @ApiModelProperty(value = "优惠券名称")
    private String couponName;

    @ApiModelProperty("发放总量")
    private Integer couponAmount;

    @ApiModelProperty("领取数量")
    private Integer receiveAmount;

    @ApiModelProperty("使用数量")
    private Integer usedAmount;

    @ApiModelProperty("优惠券金额")
    private Integer couponValue;

    @ApiModelProperty(value = "状态")
    private Boolean status;

    @ApiModelProperty(value = "使用时间")
    private Date usedTime;

    @ApiModelProperty(value = "订单id")
    private String orderId;

    @ApiModelProperty(value = "订单金额")
    private BigDecimal payAmount;

    @ApiModelProperty(value = "用户昵称")
    private String nickName;

    @ApiModelProperty(value = "手机")
    private String mobile;

    @ApiModelProperty(value = "业务员手机")
    private String workPhone;

    @ApiModelProperty(value = "业务员名称")
    private String workName;

    @ApiModelProperty(value = "网点名称")
    private String websitName;
}
