package com.gree.mall.manager.bean.coupon;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.gree.mall.manager.plus.entity.Coupon;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel
@Data
public class CouponPageBean extends Coupon{

    @ApiModelProperty(value = "领取数量")
    private Integer receivedCount;

    @ApiModelProperty(value = "使用数量")
    private Integer usedCount;

    @ApiModelProperty(value = "优惠券状态")
    private String releaseFlag;


}
