package com.gree.mall.manager.bean.engin;

import com.gree.mall.manager.plus.entity.EnginPayManage;
import com.gree.mall.manager.plus.entity.EnginPayManageItem;
import com.gree.mall.manager.plus.entity.EnginPayManageRecord;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class EnginPayManageBean extends EnginPayManage {

    @ApiModelProperty(value = "产品信息")
    private List<EnginPayManageItem> items;

    @ApiModelProperty(value = "收款信息")
    private List<EnginPayManageRecord> records;
//
//    @ApiModelProperty(value = "收款金额")
//    private BigDecimal payAmount;
//
//    @ApiModelProperty(value = "收款信息")
//    private String fileUrl;
//
//    @ApiModelProperty(value = "收款备注")
//    private String payRemark;
}
