package com.gree.mall.manager.bean.engin;

import com.gree.mall.manager.bean.common.RegionBean;
import com.gree.mall.manager.plus.entity.Region;
import com.gree.mall.manager.plus.entity.WebsitGoodsAlone;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

@Data
@Accessors(chain = true)
public class EnginPayManageImport {

    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "工单类型")
    private String orderSmallType;

    @ApiModelProperty(value = "工单类型名称(多选时/分割)")
    private String orderSmallTypeText;

    @ApiModelProperty(value = "工程名称")
    private String projectName;

    @ApiModelProperty(value = "工程编号")
    private String projectNo;

    @ApiModelProperty(value = "销售单号")
    private String salesNo;

    @ApiModelProperty(value = "销售网点")
    private String salesWebsit;

    @ApiModelProperty(value = "费用类型 M=辅材 P=配件")
    private String goodsType;

    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ApiModelProperty(value = "联系人")
    private String linkName;

    @ApiModelProperty(value = "客户电话")
    private String customerMobile;

    @ApiModelProperty(value = "客户电话2")
    private String customerMobile2;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "范围")
    private Region region;

    @ApiModelProperty(value = "范围名称")
    private RegionBean regionBean;

    @ApiModelProperty(value = "商品")
    private WebsitGoodsAlone goodsAlone;

    @ApiModelProperty(value = "价格")
    private BigDecimal salesPrice;

    @ApiModelProperty(value = "数量")
    private BigDecimal qty;
}
