package com.gree.mall.manager.bean.goods;


import com.gree.mall.manager.plus.entity.Goods;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class ActiveGoodsAddReqBean {

    @ApiModelProperty("唯一id(type>=2可取小程序模板id)")
    private String objectId;
    @ApiModelProperty("类型: 1=新维度分类，2=首页弹窗， 3=活动专区1，4=活动专区2左侧，5=活动专区2右侧，6=专场专区1，7=专场专区2 ， 8=专场专区3 ， 9=专场专区4")
    private Integer type;
    @ApiModelProperty("所选商品")
    private List<Goods> goodsList;
    @ApiModelProperty("主标题")
    private String title;
    @ApiModelProperty("小标题")
    private String title2;

}
