package com.gree.mall.manager.bean.goods;

import com.gree.mall.manager.plus.entity.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@ApiModel
@Data
public class GoodsBean extends Goods {

    @ApiModelProperty("商品规格")
    private List<GoodsSpec> goodsSpecs;

    @ApiModelProperty("轮播图")
    private List<CommonFile> images;

    @ApiModelProperty("商品库存")
    private Integer stock;
    @ApiModelProperty("商品说明模板id")
    private String templateId;
    @ApiModelProperty("属性标签")
    private List<String> tags;

    @ApiModelProperty("标签")
    private List<String> tagsLabel;

//    @ApiModelProperty("套购配置的比例商品")
//    private List<GoodsPackagePop> goodsPackagePops;
//    @ApiModelProperty("套购配置的指定用户-新增/编辑用")
//    private List<GoodsPackageUserRela> goodsPackageUserRelas;

//    @ApiModelProperty("套购商品配置的用户列表-详情用")
//    private List<User> users;

}
