package com.gree.mall.manager.bean.goods;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
public class GoodsLeaseBean {

    @ApiModelProperty(value = "商品分类id")
    private String categoryId;

    @ApiModelProperty(value = "商品分类名称")
    private String categoryName;

    @ApiModelProperty(value = "商品分类图片地址")
    private String categoryUrl;

    @ApiModelProperty(value = "商品ID")
    private String id;

    @ApiModelProperty(value = "商品名称")
    private String name;

    @ApiModelProperty(value = "单位")
    private String unit;

    @ApiModelProperty(value = "租赁价格")
    private BigDecimal leasePrice;

    @ApiModelProperty(value = "划线价格（元/月）")
    private BigDecimal oldPrice;

    @ApiModelProperty(value = "租赁定金")
    private BigDecimal depositPrice;

    @ApiModelProperty(value = "商品状态")
    private Boolean status;

    @ApiModelProperty(value = "商品排序")
    private Integer sort;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改人")
    private String updateBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "保修描述")
    private String repairRemark;
}
