package com.gree.mall.manager.bean.goods;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel
@Data
public class GoodsPackageList {

    @ApiModelProperty("商品id")
    private String goodsId;
    @ApiModelProperty("商品图")
    private String imgUrl;
    @ApiModelProperty("商品名称")
    private String goodsName;
    @ApiModelProperty("状态true=是 false=否")
    private Boolean status;
    @ApiModelProperty("参与产品数量")
    private Integer goodsNums;
    @ApiModelProperty("最低销售价")
    private BigDecimal packageMinAmount;
    @ApiModelProperty("最低分佣金额")
    private BigDecimal packageMinShareAmount;
    @ApiModelProperty("使用优惠券 0=不可使用 1=所有优惠券 2=满减券 3=商品券")
    private Integer useCoupon;
    @ApiModelProperty("适用范围 0=指定人员 1=所有人 2=普通用户 3=业务员")
    private Integer packageUserType;
    @ApiModelProperty("订单数量")
    private Integer orderNums;
    @ApiModelProperty("订单总金额")
    private BigDecimal orderPayAmount;
    @ApiModelProperty("商户")
    private String companyName;

}
