package com.gree.mall.manager.bean.goods.outside;
import com.gree.mall.manager.plus.entity.CommonFile;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@ApiModel
@Data
public class GoodsBean extends Goods {

    @ApiModelProperty("商品规格")
    private List<GoodsSpec> goodsSpecs;
    private String category1;
    private String category2;
    private String mainName;
    private String smallName;
    private Boolean isVr;

    @ApiModelProperty("轮播图")
    private List<CommonFile> images;

}
