package com.gree.mall.manager.bean.listvo;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.StatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ZfireField(tbName = "a")
@ApiModel
@Data
public class ChargingStandardTypeVO {

    @ZfireField(hide = true)
    @ApiModelProperty("id")
    private String id;
    @ApiModelProperty("业务类型")
    private String name;
    @ApiModelProperty("状态")
    private StatusEnum status;
    @ApiModelProperty("排序")
    private Integer sortNum;
    @ApiModelProperty("创建人")
    private String createBy;
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("修改人")
    private String updateBy;
    @ApiModelProperty("修改时间")
    private Date updateTime;

//    @ZfireField(hide = true)
//    private String companyWechatId;
//    @ApiModelProperty("商户名称")
//    private String companyWechatName;
}
