package com.gree.mall.manager.bean.listvo;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.UserTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ZfireField(tbName = "a")
@ApiModel
@Data
public class UserCustomerVO {

    @ZfireField(hide = true)
    private String userId;

//    @ZfireField(hide = true)
//    private String companyWechatId;
//
//    @ApiModelProperty("商户名称")
//    private String companyName;

    @ApiModelProperty("用户昵称")
    private String nickName;

    @ApiModelProperty("联系电话")
    private String mobile;

    @ZfireField(tbName = "c",ignoreSelect = true,colName = "nick_name")
    @ApiModelProperty("推荐人姓名")
    private String firstServiceName;

    @ZfireField(tbName = "c",ignoreSelect = true,colName = "mobile")
    @ApiModelProperty("推荐人电话")
    private String firstServiceMobile;

    @ApiModelProperty("推荐时间")
    private Date firstServiceTime;

    @ZfireField(tbName = "b",ignoreSelect = true,colName = "nick_name")
    @ApiModelProperty("当前分销员")
    private String serviceName;

    @ZfireField(tbName = "b",ignoreSelect = true,colName = "mobile")
    @ApiModelProperty("当前分销员手机")
    private String serviceMobile;

    @ApiModelProperty("绑定分销员时间")
    private Date serviceTime;

    @ApiModelProperty("用户类型")
    private UserTypeEnum type;

    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("修改人")
    private String updateBy;
    @ApiModelProperty("修改时间")
    private Date updateTime;

}
