package com.gree.mall.manager.bean.listvo.param;

import com.gree.mall.manager.enums.workorder.OrderBaseStatusEnum;
import com.gree.mall.manager.zfire.bean.ZfireParamBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel
@Data
public class WorkOrderZfireParam extends ZfireParamBean {

    @ApiModelProperty("工单类型")
    private String orderSmallType;
    @ApiModelProperty("工单状态")
    private OrderBaseStatusEnum orderStatus;

    @ApiModelProperty("延保工单")
    private Boolean isYb;

    @ApiModelProperty("配件申请状态")
    private String partsApplyStatus;

}
