package com.gree.mall.manager.bean.listvo.workorder;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsYesNoEnum;
import com.gree.mall.manager.enums.StatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ZfireField(tbName = "a")
@ApiModel
@Data
public class OrderSmallTypeVO {

    @ZfireField(hide = true)
    private String id;

//    @ZfireField(hide = true)
//    @ApiModelProperty("所属商户id")
//    private String companyWechatId;

    @ZfireField(hide = true)
    private String orderType;

//    @ApiModelProperty("所属商户")
//    private String companyWechatName;

    @ApiModelProperty("工单类型")
    private String orderSmallTypeText;

    @ApiModelProperty("图片")
    private String imgUrl;

    @ApiModelProperty("排序")
    private Integer sortNum;

    @ApiModelProperty("状态")
    private StatusEnum status;

    @ApiModelProperty("是否为工程维保")
    private IsYesNoEnum isRpProjectRepair;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("修改时间")
    private Date updateTime;

    @ApiModelProperty("修改人")
    private String updateBy;




}
