package com.gree.mall.manager.bean.marketing;

import com.gree.mall.manager.plus.entity.MarketingMaterials;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class DynamicMaterialsDetailsBean extends MarketingMaterials {

    @ApiModelProperty("总点击次数")
    private Integer totalCount;

    @ApiModelProperty("总点击人数")
    private Integer totalUserCount;

    @ApiModelProperty("今日点击数")
    private Integer todayCount;

    @ApiModelProperty("今日点击人数")
    private Integer todayUserCount;

    @ApiModelProperty("客户浏览记录")
    List<DynamicMaterialsVisitStatisticsBean> visitList;
}
