package com.gree.mall.manager.bean.material.base;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.material.PartBaseTypeEnum;
import com.gree.mall.manager.enums.material.StateEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class PartsBaseVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "id")
    private String id;

    @ZfireField(isQuery = false)
    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "类型")
    private PartBaseTypeEnum type;

    @ApiModelProperty(value = "配件值")
    private String value;

    @ApiModelProperty(value = "状态")
    private StateEnum status;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

}
