package com.gree.mall.manager.bean.material.manage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel
public class WebsitMPurchaseItemBean {

    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "单号")
    private String purchaseId;

    @ApiModelProperty(value = "商品类型 M=辅材 P=配件")
    private String goodsType;

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "预估进价")
    private BigDecimal applyCost;

    @ApiModelProperty(value = "预估进价金额")
    private BigDecimal applyCostValue;

    @ApiModelProperty(value = "申请数量")
    private BigDecimal applyQty;

    @ApiModelProperty(value = "核实数量")
    private BigDecimal checkQty;

    @ApiModelProperty(value = "进价")
    private BigDecimal cost;

    @ApiModelProperty(value = "验收金额")
    private BigDecimal costValue;

    @ApiModelProperty(value = "验收数量")
    private BigDecimal recQty;

    @ApiModelProperty(value = "验收赠品数量")
    private BigDecimal recGiftQty;

    @ApiModelProperty(value = "商品代码")
    private String goodsCode;

    @ApiModelProperty(value = "库存单位")
    private String goodsStockUnit;

    @ApiModelProperty(value = "规格型号")
    private String goodsSpecification;

    @ApiModelProperty(value = "商品父类编号")
    private String parentCategoryId;

    @ApiModelProperty(value = "商品父类名称")
    private String parentCategoryName;

    @ApiModelProperty(value = "商品小类编号")
    private String goodsCategoryId;

    @ApiModelProperty(value = "商品小类名称")
    private String goodsCategoryName;

    @ApiModelProperty(value = "退货数量")
    private BigDecimal retQty;

    @ApiModelProperty(value = "备注")
    private String note;

    @ApiModelProperty(value = "入库数量")
    private BigDecimal inStockQty;

    @ApiModelProperty(value = "入库进价")
    private BigDecimal inStockCost;
}
