package com.gree.mall.manager.bean.material.manage;

import com.gree.mall.manager.plus.entity.WebsitPartsRefundConfig;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

@EqualsAndHashCode(callSuper = true)
@ApiModel
@Data
public class WebsitPartsConfigBean extends WebsitPartsRefundConfig {

    @ApiModelProperty(value = "空调倍数")
    private BigDecimal priceRate1;

    @ApiModelProperty(value = "冰箱倍数")
    private BigDecimal priceRate2;

    @ApiModelProperty(value = "生活电器倍数")
    private BigDecimal priceRate3;
}
