package com.gree.mall.manager.bean.material.manage;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WebsitPartsConfigVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "id")
    private String id;

//    @ZfireField(hide = true)
//    @ApiModelProperty(value = "商户编号")
//    private String companyWechatId;
//
//    @ApiModelProperty(value = "商户名称")
//    private String companyWechatName;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "新件返还（市区）")
    private Integer newRefundInner;

    @ApiModelProperty(value = "新件返还（外区）")
    private Integer newRefundOutside;

    @ApiModelProperty(value = "旧件返还")
    private Integer oldRefund;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "空调倍数")
    private BigDecimal priceRate1;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "冰箱倍数")
    private BigDecimal priceRate2;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "生活电器倍数")
    private BigDecimal priceRate3;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "是否默认")
    private IsEnum isDefault;
}
