package com.gree.mall.manager.bean.material.manage;

import com.gree.mall.manager.bean.material.worker.OldRefundManageRecordBean;
import com.gree.mall.manager.plus.entity.WebsitPartsSales;
import com.gree.mall.manager.plus.entity.WebsitSalesPayOrder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class WebsitPartsSalesBean extends WebsitPartsSales {

    @ApiModelProperty(value = "订单配件信息", required = true)
    private List<WebsitPartsSalesItemBean> itemList;

    @ApiModelProperty(value = "支付记录列表", required = true)
    private List<WebsitSalesPayOrder> payList;

    @ApiModelProperty(value = "支付记录列表", required = true)
    private List<WebsitSalesPayOrder> allPayList;

    @ApiModelProperty(value = "订单明细使用信息", required = true)
    private List<OldRefundManageRecordBean> oldRefundManageRecordBeanList;
}
