package com.gree.mall.manager.bean.material.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

@Data
@Accessors(chain = true)
@ApiModel(value = "WorkerPurchaseCategoryBean对象", description = "月度师傅辅材采购类别")
public class WorkerPurchaseCategoryBean {
    @ApiModelProperty(value = "年月")
    private String yearMonth;
    @ApiModelProperty(value = "网点编号")
    private String websitId;
    @ApiModelProperty(value = "网点名称")
    private String websitName;
    @ApiModelProperty(value = "师傅编号")
    private String workerId;
    @ApiModelProperty(value = "师傅名称")
    private String workerName;
    @ApiModelProperty(value = "铜管")
    private BigDecimal tgQty;
    @ApiModelProperty(value = "铜管转换数")
    private BigDecimal tgConvertQty;
    @ApiModelProperty(value = "铜管总价")
    private BigDecimal tgVal;
    @ApiModelProperty(value = "保温棉")
    private BigDecimal bwmQty;
    @ApiModelProperty(value = "保温棉总价")
    private BigDecimal bwmVal;
    @ApiModelProperty(value = "电缆")
    private BigDecimal dlQty;
    @ApiModelProperty(value = "电缆总价")
    private BigDecimal dlVal;
    @ApiModelProperty(value = "支架")
    private BigDecimal zjQty;
    @ApiModelProperty(value = "支架总价")
    private BigDecimal zjVal;
    @ApiModelProperty(value = "冷媒")
    private BigDecimal lmQty;
    @ApiModelProperty(value = "冷媒总价")
    private BigDecimal lmVal;
    @ApiModelProperty(value = "五金")
    private BigDecimal wjQty;
    @ApiModelProperty(value = "五金总价")
    private BigDecimal wjVal;
    @ApiModelProperty(value = "其它")
    private BigDecimal jtQty;
    @ApiModelProperty(value = "其它总价")
    private BigDecimal jtVal;
    @ApiModelProperty(value = "开关")
    private BigDecimal kgQty;
    @ApiModelProperty(value = "开关总价")
    private BigDecimal kgVal;
    @ApiModelProperty(value = "包扎带")
    private BigDecimal bzdQty;
    @ApiModelProperty(value = "包扎带总价")
    private BigDecimal bzdVal;
    @ApiModelProperty(value = "连接器")
    private BigDecimal ljqQty;
    @ApiModelProperty(value = "连接器总价")
    private BigDecimal ljqVal;
    @ApiModelProperty(value = "双壁热缩套管")
    private BigDecimal rsgQty;
    @ApiModelProperty(value = "双壁热缩套管总价")
    private BigDecimal rsgVal;
    @ApiModelProperty(value = "清洗工具")
    private BigDecimal qxggQty;
    @ApiModelProperty(value = "清洗工具总价")
    private BigDecimal qxggVal;
    @ApiModelProperty(value = "管槽")
    private BigDecimal gcQty;
    @ApiModelProperty(value = "管槽总价")
    private BigDecimal gcVal;
    @ApiModelProperty(value = "热水器")
    private BigDecimal ysqQty;
    @ApiModelProperty(value = "热水器总价")
    private BigDecimal ysqVal;
    @ApiModelProperty(value = "师傅当月剩余库存金额")
    private BigDecimal workerGoodsPrice;
}
