package com.gree.mall.manager.bean.order;

import com.gree.mall.manager.plus.entity.OrderDetail;
import com.gree.mall.manager.plus.entity.OrderInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class DeliverGoodsBean {

    @ApiModelProperty("订单号")
    private String orderId;
    @ApiModelProperty("物流单号")
    private String logisticsNo;
    @ApiModelProperty("物流公司")
    private String expressCorp;
    @ApiModelProperty("仓库")
    private String warehouse;
    @ApiModelProperty("仓库")
    private String warehouseId;
    @ApiModelProperty("是否派单")
    private Boolean send;
    @ApiModelProperty("是否退换货")
    private Boolean exchangeOrder;

    @ApiModelProperty(value = "提货人名称")
    private String pickName;

    @ApiModelProperty(value = "提货人电话")
    private String pickPhone;

    @ApiModelProperty(value = "是否自提 YES是 NO否")
    private String pickType;



}
