package com.gree.mall.manager.bean.order;

import com.gree.mall.manager.plus.entity.LeaseOrder;
import com.gree.mall.manager.plus.entity.LeaseOrderItem;
import com.gree.mall.manager.plus.entity.LeaseOrderPayRecord;
import com.gree.mall.manager.plus.entity.PgOrderBase;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@ApiModel
@Data
public class LeaseOrderBean extends LeaseOrder {

    @ApiModelProperty(value = "商品明细")
    List<LeaseOrderItem> items;

    @ApiModelProperty(value = "记录")
    List<LeaseOrderPayRecord> records;

    @ApiModelProperty(value = "工单记录")
    List<PgOrderBase> orderBases;
}
