package com.gree.mall.manager.bean.order;

import com.gree.mall.manager.plus.entity.OrderDeliveryDetail;
import com.gree.mall.manager.plus.entity.OrderDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class OrderDetailSend extends OrderDetail {

    @ApiModelProperty(value = "发货数量")
    private Integer sendNum;

    @ApiModelProperty(value = "已导入内机条码数量")
    private Integer sendInsideCodeQty;

    @ApiModelProperty(value = "已导入外机条码数量")
    private Integer sendOutCodeQty;

    @ApiModelProperty(value = "已导入配件条码数量")
    private Integer sendPartsCodeQty;
}
