package com.gree.mall.manager.bean.order;

import com.gree.mall.manager.plus.entity.OrderDetail;
import com.gree.mall.manager.plus.entity.OrderInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 订单详情
 * @author ：lijh
 * @description：TODO
 * @date ：2024/2/1 17:18
 */
@ApiModel
@Data
public class OrderInfoDetailBean extends OrderInfo {

    @ApiModelProperty("商品明细")
    private List<OrderDetail> orderDetails;


    @ApiModelProperty("回收信息明细")
    private List<OrderOldProductDTO> orderOldProductDTOList;

}
