package com.gree.mall.manager.bean.order;

import com.gree.mall.manager.plus.entity.CommonFile;
import com.gree.mall.manager.plus.entity.OrderDetail;
import com.gree.mall.manager.plus.entity.OrderRefund;
import com.gree.mall.manager.plus.entity.OrderRequest;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class OrderRefundDetailBean extends OrderRefund {

    @ApiModelProperty("订单详情")
    private List<OrderDetail> orderDetails;
    @ApiModelProperty("物流凭证")
    private List<CommonFile> files;
    @ApiModelProperty("退款凭证")
    private List<CommonFile> tkFiles;
    @ApiModelProperty("工单信息")
    private List<OrderRequest> orderRequests;
    private Boolean toWorkOrder = false;


}
