package com.gree.mall.manager.bean.order;

import com.gree.mall.manager.plus.entity.OrderDetailCode;
import com.gree.mall.manager.plus.entity.OrderRefundCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@ApiModel
@Data
public class RefundOrderBody {

    @ApiModelProperty(value = "售后单号")
    private String orderRefundId;

    @ApiModelProperty(value = "OK=同意  FAIL=不同意")
    private String examineStatus;

    @ApiModelProperty(value = "卖家留言")
    private String refundMessage;

    @ApiModelProperty(value = "退货条码")
    private List<OrderRefundCode> orderRefundCodes;
}
