package com.gree.mall.manager.bean.order;


import com.gree.mall.manager.plus.entity.OrderDeliveryDetail;
import com.gree.mall.manager.plus.entity.OrderDetail;
import com.gree.mall.manager.plus.entity.OrderDetailCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@ApiModel
@Data
public class SendOrderBody {

    @ApiModelProperty(value = "订单号")
    private String orderId;

    @ApiModelProperty(value = "自提人")
    private String pickName;

    @ApiModelProperty(value = "自提电话")
    private String pickPhone;

    @ApiModelProperty(value = "是否自提 YES 是 NO否")
    private String pickType;

    @ApiModelProperty(value = "快递单号")
    private String logisticsNo;

    @ApiModelProperty(value = "货仓id")
    private String storageId;

    @ApiModelProperty(value = "货仓名称")
    private String storageName;

    @ApiModelProperty(value = "快递公司编号")
    private String companyCode;

    @ApiModelProperty(value = "是否需要派单 true=是 false=否")
    private Boolean workOrder;

    @ApiModelProperty(value = "是否退换单 true=是 false=否")
    private Boolean exchange;


    @ApiModelProperty(value = "发货条码")
    private List<OrderDetailCode> orderDetailCodes;


    @ApiModelProperty(value = "发货物料")
    private List<OrderDeliveryDetail> orderDeliveryDetailList;

}
