package com.gree.mall.manager.bean.order.refund;

import com.gree.mall.manager.plus.entity.OrderOfflineItemCode;
import com.gree.mall.manager.plus.entity.OrderOfflineRefundItem;
import com.gree.mall.manager.plus.entity.OrderOfflineRefundOldItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 新增销售退货单
 * @author ：lijh
 * @description：TODO
 * @date ：2024/4/16 14:33
 */
@ApiModel
@Data
public class OrderOfflineRefundAddBean {

    private String id;

    @ApiModelProperty("订单号")
    private String orderId;

    @ApiModelProperty("发货单号")
    private String deliveryId;

    @ApiModelProperty("附件")
    private String fileUrls;
    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("是否以旧换新 YES 是 NO否")
    private String isOld;

    @ApiModelProperty(value = "退货仓id")
    private String storageStockId;

    @ApiModelProperty(value = "退货仓名称")
    private String storageStockName;

    @ApiModelProperty("商品信息")
    private List<OrderOfflineRefundItem> orderOfflineRefundItems;
    @ApiModelProperty("条码信息")
    private List<OrderOfflineItemCode> orderOfflineItemCodes;

    @ApiModelProperty("以旧换新信息")
    private List<String> ids;

}
