package com.gree.mall.manager.bean.policy;

import com.gree.mall.manager.plus.entity.User;
import com.gree.mall.manager.plus.entity.WebsitUser;
import com.gree.mall.manager.plus.entity.WorkerImg;
import com.gree.mall.manager.plus.entity.WorkerPolicy;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class WorkerManagerDetail extends WebsitUser {

    @ApiModelProperty(value = "用户详情")
    private User user;

    @ApiModelProperty(value = "图片")
    private List<WorkerImg> workerImgs;

    @ApiModelProperty(value = "师傅保险")
    private List<WorkerPolicy> workerPolicies;
}
