package com.gree.mall.manager.bean.serivce;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel
@Data
@ZfireField(tbName = "a")
public class BuyServiceRecordVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "公司名称")
    private String companyName;

    @ApiModelProperty(value = "购买套餐")
    private String normName;

    @ApiModelProperty(value = "支付金额")
    private String payAmount;

    @ApiModelProperty(value = "购买方式")
    private String buyMode;

    @ApiModelProperty(value = "购买渠道")
    private String buyChannel;

    @ApiModelProperty(value = "购买时间")
    private Date createTime;

    @ApiModelProperty(value = "开通时间")
    private Date openTime;

    @ApiModelProperty(value = "过期时间")
    private Date expireTime;

    @ApiModelProperty(value = "是否支付")
    private IsEnum isPay;
}
