package com.gree.mall.manager.bean.settle;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.SettleWagesStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class SettleMonthWagesVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "id")
    private String id;

//    @ZfireField(hide = true)
//    @ApiModelProperty(value = "商户编号")
//    private String companyWechatId;
//
//    @ApiModelProperty(value = "所属商户")
//    private String companyWechatName;

    @ApiModelProperty(value = "汇总名称")
    private String name;

    @ApiModelProperty(value = "结算人数")
    private Integer settleByCount;

    @ApiModelProperty(value = "结算金额（元）")
    private BigDecimal settleAmount;

    @ApiModelProperty(value = "发放人数")
    private Integer sendByCount;

    @ApiModelProperty(value = "已发放金额（元）")
    private BigDecimal sendAmount;

    @ApiModelProperty(value = "待发放人数")
    private Integer waitByCount;

    @ApiModelProperty(value = "待发放金额（元）")
    private BigDecimal waitAmount;

    @ApiModelProperty(value = "状态")
    private SettleWagesStatusEnum status;

    @ApiModelProperty(value = "汇总人")
    private String createBy;

    @ApiModelProperty(value = "汇总时间")
    private Date createTime;

    @ApiModelProperty(value = "最后发放人")
    private String lastSendBy;

    @ApiModelProperty(value = "最后发放时间")
    private Date lastSendTime;

}
