package com.gree.mall.manager.bean.settle.repair;

import com.gree.mall.manager.plus.entity.SettleDailyIncrDecrCost;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

@EqualsAndHashCode(callSuper = true)
@ApiModel
@Data
public class DailyIncrDecrCostCountBean extends SettleDailyIncrDecrCost {

    @ApiModelProperty("人数")
    private Integer personNums;
    @ApiModelProperty("工单数量")
    private Integer orderNums;
    @ApiModelProperty("金额(元)")
    private BigDecimal totalAmount;
}
