package com.gree.mall.manager.bean.settle.repair;

import com.gree.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class DailyIncrDecrCostVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "id")
    private String id;

//    @ZfireField(hide = true)
//    @ApiModelProperty(value = "商户id")
//    private String companyWechatId;
//
//    @ApiModelProperty(value = "所属商户")
//    private String companyWechatName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "服务人员编号")
    private String serviceNumber;

    @ApiModelProperty(value = "服务人员")
    private String serviceName;

    @ApiModelProperty(value = "网点编号")
    private String websitNumber;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "身份证")
    private String idCard;

    @ApiModelProperty(value = "手机号码")
    private String mobile;

    @ApiModelProperty(value = "费用类型")
    private String costType;

    @ApiModelProperty(value = "金额")
    private BigDecimal costAmount;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "减免月份")
    private String reduceMonth;

    @ApiModelProperty(value = "导入操作人")
    private String importBy;

    @ApiModelProperty(value = "导入时间")
    private Date importTime;

    @ApiModelProperty(value = "导入批次号")
    private String importBatchNo;

    @ApiModelProperty(value = "执行人")
    private String doBy;

    @ApiModelProperty(value = "执行时间")
    private Date doTime;

    @ApiModelProperty(value = "执行批次号")
    private String doBatchNo;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "状态")
    private String doStatus;

}
