package com.gree.mall.manager.bean.settle.repair;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel
@Data
public class DailyMonthTotalBean {

    @ApiModelProperty(value = "所属网点")
    private String websitName;

    @ApiModelProperty(value = "所属网点编号")
    private String websitNumber;

    @ApiModelProperty(value = "结算名称")
    private String summaryName;

    @ApiModelProperty(value = "结算单位")
    private String summaryNumber;

    @ApiModelProperty(value = "身份证")
    private String idCard;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "维修结算费用总额")
    private BigDecimal repairTotalAmount;

    @ApiModelProperty(value = "需扣回费用")
    private BigDecimal reduceCost;

    @ApiModelProperty(value = "增减费用")
    private BigDecimal incrDecrCost;

    @ApiModelProperty(value = "日结累计已发")
    private BigDecimal issueCost;

    @ApiModelProperty(value = "月度计税总额")
    private BigDecimal incomeTaxCost;

    @ApiModelProperty(value = "暂扣累计")
    private BigDecimal withholdTotalCost;

    @ApiModelProperty(value = "服务人员名称")
    private String serviceName;

    @ApiModelProperty(value = "服务人员编号")
    private String serviceNumber;

    @ApiModelProperty(value = "工伤累计")
    private BigDecimal empInsuranceCostC;

    @ApiModelProperty(value = "残保累计")
    private BigDecimal residualInsuranceCostC;

    @ApiModelProperty(value = "商户id")
    private String companyWechatId;

    @ApiModelProperty(value = "所属商户")
    private String companyWechatName;

    @ApiModelProperty(value = "日结累计单数")
    private Integer repairCountC;
}
