package com.gree.mall.manager.bean.settle.repair;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel
@Data
public class DailyNotMonthSummaryCountBean {

    @ApiModelProperty(value = "所属商户")
    private String companyWechatName;

    @ApiModelProperty(value = "结算人数")
    private Integer summaryPersonCount;

    @ApiModelProperty(value = "结算工单数量")
    private Integer summaryOrderCount;

    @ApiModelProperty(value = "结算金额")
    private BigDecimal summaryCost;

    @ApiModelProperty(value = "汇总批次号")
    private String summaryBatchNo;

    @ApiModelProperty(value = "汇总批月份")
    private String summaryMonth;

    @ApiModelProperty(value = "发放状态")
    private Integer issueStatus;

    @ApiModelProperty(value = "汇总操作人")
    private String summaryBy;

    @ApiModelProperty(value = "汇总时间")
    private Date summaryTime;

    @ApiModelProperty(value = "发放操作人")
    private String issueBy;

    @ApiModelProperty(value = "发放时间")
    private String issueTime;

    @ApiModelProperty(value = "结算网点名称")
    private String summaryName;

    @ApiModelProperty(value = "结算网点编号")
    private String summaryNumber;

    @ApiModelProperty(value = "工伤，残保费用")
    private BigDecimal empCost;

    @ApiModelProperty(value = "暂扣款")
    private BigDecimal withholdCost;

    @ApiModelProperty(value = "应发总额")
    private BigDecimal issueCostC;

    @ApiModelProperty(value = "减免费用")
    private BigDecimal decrCost;

    @ApiModelProperty(value = "需扣回费用")
    private BigDecimal reduceCost;

    @ApiModelProperty(value = "个税")
    private BigDecimal incomeCost;

    @ApiModelProperty(value = "应发")
    private BigDecimal issueCost;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "网点编号")
    private String websitNumber;

    @ApiModelProperty(value = "分组包含状态")
    private String groupStatus;
}
