package com.gree.mall.manager.bean.settle.repair;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel
@Data
public class DailySummaryDataBean {

    @ApiModelProperty(value = "日结算记录编号")
    private Long issueSalaryId;
    @ApiModelProperty(value = "结算单位编号")
    private String summaryNumber;
    @ApiModelProperty(value = "结算单位名称")
    private String summaryName;
    @ApiModelProperty(value = "网点单位编号")
    private String websitNumber;
    @ApiModelProperty(value = "网点单位名称")
    private String websitName;
    @ApiModelProperty(value = "状态 1.未发放 2已发放")
    private Integer status;
    @ApiModelProperty(value = "发放月份")
    private String month;
    @ApiModelProperty(value = "结算人数")
    private Integer summaryNum;
    @ApiModelProperty(value = "结算工单人数")
    private Integer summaryOrderNum;
    @ApiModelProperty(value = "维修结算费用")
    private BigDecimal totalRepairCostC;
    @ApiModelProperty(value = "需扣回费用")
    private BigDecimal reduceCostC;
    @ApiModelProperty(value = "增减费用")
    private BigDecimal incrDecrCostC;
    @ApiModelProperty(value = "工伤保险")
    private BigDecimal injuryCostC;
    @ApiModelProperty(value = "残保金")
    private BigDecimal residualCostC;
    @ApiModelProperty(value = "暂扣款")
    private BigDecimal withholdCostC;
    @ApiModelProperty(value = "应发工资总额")
    private BigDecimal issueCostC;
    @ApiModelProperty(value = "发放人")
    private String issueBy;
    @ApiModelProperty(value = "发放时间")
    private String issueTime;
    @ApiModelProperty(value = "汇总操作人")
    private String summaryBy;
    @ApiModelProperty(value = "汇总时间")
    private String summaryTime;
    @ApiModelProperty(value = "汇总批次号")
    private String summaryBatchNo;
    @ApiModelProperty(value = "分组状态")
    private Integer groupStatus;
}
