package com.gree.mall.manager.bean.settle.repair.cmc;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel
@Data
public class BankCardInfoBean {
    @ApiModelProperty(value = "银行卡号")
    private String bankAccount;
    @ApiModelProperty(value = "分行区号")
    private String bankOrgCode;
    @ApiModelProperty(value = "授权类型 1：联动支付，2：联动代发")
    private String authType;
    @ApiModelProperty(value = "授权账号")
    private String authBankAccount;

    public BankCardInfoBean(String bankAccount, String bankOrgCode, String authType, String authBankAccount) {
        this.bankAccount = bankAccount;
        this.bankOrgCode = bankOrgCode;
        this.authType = authType;
        this.authBankAccount = authBankAccount;
    }

    public BankCardInfoBean(){

    }
}
