package com.gree.mall.manager.bean.sop;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author change
 */
@ApiModel
@Data
public class SopPushAdd {

    @ApiModelProperty("附件类型，可选image、link、miniprogram或者video")
    private String msgtype;

    @ApiModelProperty("照片")
    private  Image image;

    @ApiModelProperty("图文消息")
    private  Link link;

    @ApiModelProperty("小程序消息")
    private  Miniprogram miniprogram;

    @ApiModelProperty("视频")
    private  Video video;

    @ApiModelProperty("文件")
    private  File file;


}

