package com.gree.mall.manager.bean.sop;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @author change
 */
@ApiModel
@Data
public class SopRuleAdd {

    @ApiModelProperty("规则名字")
    private String ruleName;

    @ApiModelProperty("规则id")
    private  String id;

    @ApiModelProperty("状态1启用 0停用")
    private Integer status;

    @ApiModelProperty("客服ID，多个")
    private List<String> workerIds;


    @ApiModelProperty("任务多个")
    private List<SopPushTaskData> sopPushTaskData;
}
