package com.gree.mall.manager.bean.tax;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel
@Data
public class TaxDetail {

    @ApiModelProperty(value = "项目名称",required = true)
    private String xmmc;
    @ApiModelProperty("项目单位")
    private String xmdw;
    @ApiModelProperty("规格型号")
    private String ggxh;
    @ApiModelProperty(value = "项目数量",required = true)
    private Double xmsl;
    @ApiModelProperty(value = "含税标志 1:含税 0:不含税",required = true)
    private String hsbz;
    @ApiModelProperty(value = "项目单价",required = true)
    private Double xmdj;
    @ApiModelProperty(value = "发票行性质 0:正常行 1:折扣行 2:被折扣行",required = true)
    private String fphxz;
    @ApiModelProperty(value = "商品编码",required = true)
    private String spbm;
    @ApiModelProperty(value = "优惠政策标识 0:不使用 1:使用",required = true)
    private String yhzcbs;
    @ApiModelProperty("零税率标识 空:非零税率 1:免税 2:不征税 3:普通零税率")
    private String lslbs;
    @ApiModelProperty("增值税特殊管理")
    private String zzstsgl;
    @ApiModelProperty("扣除额（小数点后两位小数，不能大于不含税金额）")
    private Double kce;
    @ApiModelProperty(value = "项目金额(单价*数量)",required = false)
    private Double xmje;
    @ApiModelProperty(value = "税率(如果税率为0，表示免税)",required = true)
    private Double sl;
    @ApiModelProperty(value = "税额(单位：元)最多保留2位小数",required = false)
    private Double se;

}