package com.gree.mall.manager.bean.websit;

import com.gree.mall.manager.plus.entity.WebsitSalesRet;
import com.gree.mall.manager.plus.entity.WebsitSalesRetItem;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class WebsitSalesRetDetail extends WebsitSalesRet {

    @ApiModelProperty(value = "负责人")
    private String manger;

    @ApiModelProperty(value = "联系电话")
    private String mobile;

    @ApiModelProperty(value = "项目开始时间")
    private Date startTime;

    @ApiModelProperty(value = "项目结束时间")
    private Date endTime;

    @ApiModelProperty(value = "省")
    private String province;

    @ApiModelProperty(value = "省id")
    private String provinceId;

    @ApiModelProperty(value = "市")
    private String city;

    @ApiModelProperty(value = "市id")
    private String cityId;

    @ApiModelProperty(value = "区")
    private String area;

    @ApiModelProperty(value = "区id")
    private String areaId;

    @ApiModelProperty(value = "街道")
    private String street;

    @ApiModelProperty(value = "街道id")
    private String streetId;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "子信息")
    private List<WebsitSalesRetItem> websitSalesRetItems;


}
