package com.gree.mall.manager.bean.websit;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.SettlementPayTypeEnum;
import com.gree.mall.manager.enums.material.PayTypeEnum;
import com.gree.mall.manager.enums.workorder.SaleTypeEnum;
import com.gree.mall.manager.plus.entity.WorkerSettlement;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel
public class WorkerSettlementVO   {

    @ZfireField(hide = true)
    @TableId(value = "id", type = IdType.ID_WORKER_STR)
    private String id;
//    @ZfireField(hide = true)
//    @ApiModelProperty(value = "商户编号")
//    private String companyWechatId;
//
//    @ApiModelProperty(value = "商户名称")
//    private String companyWechatName;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "工程师编号")
    private String workerId;

    @ApiModelProperty(value = "工程师名称")
    private String workerName;

    @ApiModelProperty(value = "工程师手机号")
    private String workerMobile;

    @ApiModelProperty(value = "身份证")
    private String identity;

    @ApiModelProperty(value = "订单金额")
    private BigDecimal totalAmount;

    @ApiModelProperty(value = "订单总数量")
    private Integer totalNum;

    @ApiModelProperty(value = "手续费")
    private BigDecimal commissionAmount;

    @ApiModelProperty(value = "师傅分账金额")
    private BigDecimal workerAmount;

    @ApiModelProperty(value = "网点分账金额")
    private BigDecimal websitAmount;

    @ApiModelProperty(value = "支付方式")
    private SettlementPayTypeEnum payType;




}
