package com.gree.mall.manager.bean.workorder;

import com.gree.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class DispatchVO {

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "省份")
    private String provinceName;


    @ZfireField(tbName = "a",hide = true)
    @ApiModelProperty(value = "省")
    private String provinceCode;


    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "城市")
    private String cityName;


    @ZfireField(tbName = "a",hide = true)
    @ApiModelProperty(value = "市id")
    private String cityCode;


    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "区域")
    private String areaName;

    @ZfireField(tbName = "a",hide = true)
    @ApiModelProperty(value = "区域id")
    private String areaCode;


    @ZfireField(tbName = "a",hide = true,colName = "id")
    @ApiModelProperty(value = "街道id")
    private String streetCode;


    @ZfireField(tbName = "a",colName = "name")
    @ApiModelProperty(value = "街道")
    private String streetName;


    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "工单渠道")
    private String dictValue;


    @ZfireField(tbName = "b",hide = true)
    @ApiModelProperty(value = "工单渠道id")
    private String dictCode;


    @ZfireField(tbName = "c")
    @ApiModelProperty(value = "工单类型")
    private String orderSmallTypeText;

    @ZfireField(tbName = "c",hide = true,colName = "id")
    @ApiModelProperty(value = "工单类型id")
    private String orderSmallId;

    @ZfireField(tbName = "d",colName = "name")
    @ApiModelProperty(value = "产品大类")
    private String categoryName;

    @ZfireField(tbName = "d",hide = true)
    @ApiModelProperty(value = "产品大类id")
    private String categoryId;


    @ZfireField(tbName = "e",colName = "dict_value")
    @ApiModelProperty(value = "工单来源")
    private String orderSource;

    @ZfireField(tbName = "e",hide = true)
    @ApiModelProperty(value = "工单来源id")
    private String orderSourceId;




}
