package com.gree.mall.manager.bean.workorder;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel
@Data
public class MaterialPeiJianCount {

    @ApiModelProperty("配件资料总配置数量")
    private Integer allpGoodsNum = 0;

    @ApiModelProperty("配件资料有效配置数量")
    private Integer onPGoodsNum = 0;

    @ApiModelProperty("配件资料无效配置数量")
    private Integer offPGoodsNum = 0;


    @ApiModelProperty("配件新件入库总数量")
    private Integer checkPNum = 0;

    @ApiModelProperty("配件新件入库未验收数量")
    private Integer checkNeverPNum = 0;

    @ApiModelProperty("配件新件入库验收数量")
    private Integer checkYesPNum = 0;


    @ApiModelProperty("配件销售订单保存数量")
    private Integer saveSalesPNum = 0;

    @ApiModelProperty("配件销售订单提交数量")
    private Integer submitSalesPgNum = 0;

    @ApiModelProperty("配件销售订单已支付数量")
    private Integer payNoTakeSalesPgNum = 0;

    @ApiModelProperty("配件销售订单完成数量")
    private Integer okTakeSalesPgNum = 0;

    @ApiModelProperty("配件销售订单已取消数量")
    private Integer cancelTakeSalesPgNum = 0;

    @ApiModelProperty("配件销售订单异常数量")
    private Integer ycSalesPgNum = 0;


    @ApiModelProperty("新件返还保存数量")
    private Integer bcNewNum = 0;

    @ApiModelProperty("新件返还提交数量")
    private Integer tjNewNum = 0;

    @ApiModelProperty("新件返还驳回数量")
    private Integer bhNewNum = 0;

    @ApiModelProperty("新件返还通过数量")
    private Integer tgNewNum = 0;

    @ApiModelProperty("新件返还待复核数量")
    private Integer dfhNewNum = 0;

    @ApiModelProperty("新件返还已复核数量")
    private Integer yfhkNewNum = 0;

    @ApiModelProperty("新件返还未返还数量")
    private Integer wwfhNewNum = 0;

    @ApiModelProperty("新件返还已返还数量")
    private Integer yyfhNewNum = 0;


    @ApiModelProperty("旧件返还保存数量")
    private Integer bcOldNum = 0;

    @ApiModelProperty("旧件返还提交数量")
    private Integer tjOldNum = 0;

    @ApiModelProperty("旧件返还驳回数量")
    private Integer bhOldNum = 0;

    @ApiModelProperty("旧件返还通过数量")
    private Integer tgOldNum = 0;

    @ApiModelProperty("旧件返还待复核数量")
    private Integer dfhOldNum = 0;

    @ApiModelProperty("旧件返还已复核数量")
    private Integer yfhkOldNum = 0;

    @ApiModelProperty("旧件返还未返还数量")
    private Integer wwfhOldNum = 0;

    @ApiModelProperty("旧件返还已返还数量")
    private Integer yyfhOldNum = 0;


    @ApiModelProperty("新件转销售保存数量")
    private Integer bcNewSaleNum = 0;

    @ApiModelProperty("新件转销售提交数量")
    private Integer tjNewSaleNum = 0;

    @ApiModelProperty("新件转销售驳回数量")
    private Integer bhNewSaleNum = 0;

    @ApiModelProperty("新件转销售通过数量")
    private Integer tgNewSaleNum = 0;

    @ApiModelProperty("新件转销售待复核数量")
    private Integer dfhNewSaleNum = 0;

    @ApiModelProperty("新件转销售已复核数量")
    private Integer yfhkNewSaleNum = 0;

    @ApiModelProperty("新件转销售未返还数量")
    private Integer wwfhNewSaleNum = 0;

    @ApiModelProperty("新件转销售已返还数量")
    private Integer yyfhNewSaleNum = 0;



    @ApiModelProperty("保外新件转销售保存数量")
    private Integer bcNewInnerNum = 0;

    @ApiModelProperty("保外新件转销售提交数量")
    private Integer tjNewInnerNum = 0;

    @ApiModelProperty("保外新件转销售驳回数量")
    private Integer bhNewInnerNum = 0;

    @ApiModelProperty("保外新件转销售通过数量")
    private Integer tgNewInnerNum = 0;

    @ApiModelProperty("保外新件转销售待复核数量")
    private Integer dfhNewInnerNum = 0;

    @ApiModelProperty("保外新件转销售已复核数量")
    private Integer yfhkNewInnerNum = 0;

    @ApiModelProperty("保外新件转销售未返还数量")
    private Integer wwfhNewInnerNum = 0;

    @ApiModelProperty("保外新件转销售已返还数量")
    private Integer yyfhNewInnerNum = 0;
}
