package com.gree.mall.manager.bean.workorder;

import com.gree.mall.manager.enums.OrderStatusEnum;
import com.gree.mall.manager.enums.workorder.OrderFlagEnum;
import com.gree.mall.manager.plus.entity.PgOrderBase;
import com.gree.mall.manager.plus.entity.PgOrderFlag;
import com.gree.mall.manager.plus.entity.PgOrderProduct;
import com.gree.mall.manager.plus.entity.PgOrderWorker;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
import java.util.List;


@Data
public class OrderAddBeanDTO extends PgOrderBase {

    @ApiModelProperty("师傅id(第一个为大工)")
    private List<PgOrderWorker> orderWorkers;
    @ApiModelProperty("产品信息")
    private List<PgOrderProduct> orderProducts;
    @ApiModelProperty("工单标记")
    private List<PgOrderFlag> orderFlags;
}

