package com.gree.mall.manager.bean.workorder;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.workorder.SettlePoolStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel
@Data
@ZfireField(tbName = "a")
public class SettlePoolVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "id")
    private String id;

//    @ZfireField(hide = true)
//    @ApiModelProperty(value = "商户编号")
//    private String companyWechatId;
//
//    @ApiModelProperty(value = "商户名称")
//    private String companyWechatName;

 
    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "月份")
    private String month;

    @ApiModelProperty(value = "结算人数")
    private Integer workerNum;

    @ApiModelProperty(value = "结算金额（元）")
    private BigDecimal totalAmount;

    @ApiModelProperty(value = "发放状态")
    private SettlePoolStatusEnum status;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "汇总人")
    private String poolCreateBy;

    @ApiModelProperty(value = "汇总时间")
    private Date poolCreateTime;

    @ApiModelProperty(value = "发放/驳回人")
    private String poolUpdateBy;

    @ApiModelProperty(value = "发放/驳回时间")
    private Date poolUpdateTime;
}
