package com.gree.mall.manager.bean.workorder;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel
public class WebsitDispatchAdd {

    @ApiModelProperty(value = "网点id")
    private String websitId;


    @ApiModelProperty(value = "街道id")
    private String streetCode;

    @ApiModelProperty(value = "工单渠道")
    private List<String> orderChannelIds;

    @ApiModelProperty(value = "工单类型")
    private List<String> orderSmallIds;

    @ApiModelProperty(value = "产品大类")
    private List<String> categoryIds;

    @ApiModelProperty(value = "工单来源")
    private List<String> orderSourceIds;



}
