package com.gree.mall.manager.bean.workorder;

import com.gree.mall.manager.plus.entity.PgOrderBase;
import com.gree.mall.manager.plus.entity.WorkerOrder;
import com.gree.mall.manager.plus.entity.WorkerOrderItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class WorkerOrderDetail extends WorkerOrder {

    @ApiModelProperty(value = "子订单信息")
    private List<WorkerOrderItem> workerOrderItems;

    @ApiModelProperty(value = "工单")
    private PgOrderBase pgOrderBase;
}
