package com.gree.mall.manager.bean.workorder;

import com.gree.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WorkerOrderSettleCountVO {

//    @ZfireField(hide = true)
//    @ApiModelProperty(value = "商户id")
//    private String companyWechatId;
//
//    @ApiModelProperty(value = "商户名称")
//    private String companyWechatName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "师傅id")
    private String workerId;

    @ApiModelProperty(value = "师傅名称")
    private String workerName;

    @ApiModelProperty(value = "师傅身份证")
    private String workerIdcard;

    @ApiModelProperty(value = "师傅手机")
    private String workerMobile;

    @ZfireField(isQuery = false)
    @ApiModelProperty(value = "订单数量")
    private BigDecimal orderNum;

    @ZfireField(isQuery = false)
    @ApiModelProperty(value = "订单金额")
    private BigDecimal orderAmount;

    @ZfireField(isQuery = false)
    @ApiModelProperty(value = "师傅分账金额")
    private BigDecimal workerAmount;

    @ZfireField(isShow = false, type = "date")
    @ApiModelProperty(value = "支付时间")
    private Date payTime;
}
