package com.gree.mall.manager.bean.wxCustomer;

import com.gree.mall.manager.plus.entity.ExternalUser;
import com.gree.mall.manager.plus.entity.Tag;
import com.gree.mall.manager.plus.entity.User;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@ApiModel
@Data
public class WxCustomerBean extends ExternalUser {
    @ApiModelProperty("关联用户id")
    private String relatedUserId;
    @ApiModelProperty("关联用户名")
    private String relatedUserName;
    @ApiModelProperty("转化时间")
    private Date followCreatetime;
    @ApiModelProperty("客户标签列表")
    private List<SimpleTagBean> tagList;

}
