package com.gree.mall.manager.commonmapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.gree.mall.manager.bean.offline.WebsitBean;
import com.gree.mall.manager.bean.offline.ZoneBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CustomOfflineMapper {
    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    List<ZoneBean> queryZoneList(@Param("adminUserId")String adminUserId);
    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    List<WebsitBean> queryWebsitList(@Param("adminUserId")String adminUserId);
     @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    List<ZoneBean> queryZoneAllList();
    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    List<WebsitBean> queryWebsitAllList();

}
