package com.gree.mall.manager.commonmapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.gree.mall.manager.plus.entity.SaleReport;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CustomSalesReportMapper {
    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    List<SaleReport> queryData(@Param("websitNumbers") List<String> websitNumbers,
                               @Param("startTime") String startTime,
                               @Param("endTime") String endTime,
                               @Param("corpIds") List<String> corpIds);


}
