package com.gree.mall.manager.commonmapper;

import com.gree.mall.manager.bean.marketing.DynamicMaterialsVisitStatisticsBean;
import com.gree.mall.manager.plus.entity.Tag;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 营销素材记录自定义mapper
 */
@Mapper
public interface MarketingMaterialsVisitCustomMapper {


    List<Tag> getMaterialsTag(@Param("materialsId") String materialsId);

    //获取客户访问详情
    List<DynamicMaterialsVisitStatisticsBean> getDynamicMaterialsVisitStatistics(
            @Param("dynamicMaterialsId") String dynamicMaterialsId,
            @Param("name") String name,@Param("beginTime")String beginTime,@Param("endTime") String endTime);
}
