package com.gree.mall.manager.commonmapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gree.mall.manager.bean.tax.OrderTaxExcelBean;
import com.gree.mall.manager.bean.tax.OrderTaxVO;
import com.gree.mall.manager.plus.entity.GoodsCategory;
import com.gree.mall.manager.zfire.bean.ZfireParamBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TaxMapper {
    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    GoodsCategory queryTaxById(@Param("orderDetailId")String orderDetailId);

    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    List<GoodsCategory> queryGoodsCategoryByOrderId(@Param("orderId")String orderId);

    List<OrderTaxExcelBean> queryOrderTaxExcelMsg(@Param("companyWechatIds")List<String> companyWechatIds, @Param("adminWebsitIds")List<String> adminWebsitIds
            ,@Param("status") Boolean status, @Param("orderId")String orderId);

    IPage<OrderTaxVO> list(Page page,@Param("ex") ZfireParamBean zfireParamBean);
}
