package com.gree.mall.manager.constant;

/**
 * Create By IntelliJ IDEA
 *
 * @author: XieHua
 * @date: 2021-12-14 17:19
 */
public class ChatMessageConstant {
    /**
     * 文本消息类型
     */
    public static final String MSG_TYPE_TEXT = "text";

    /**
     * 图片消息类型
     */
    public static final String MSG_TYPE_IMAGE = "image";

    /**
     * 撤回消息类型
     */
    public static final String MSG_TYPE_REVOKE = "revoke";

    /**
     * 同意会话聊天内容
     */
    public static final String MSG_TYPE_AGREE = "agree";

    /**
     * 语音聊消息
     */
    public static final String MSG_TYPE_VOICE = "voice";

    public static final String MSG_TYPE_VIDEO = "video";

    /**
     * 名片消息
     */
    public static final String MSG_TYPE_CARD = "card";

    /**
     * 位置消息
     */
    public static final String MSG_TYPE_LOCATION = "location";

    /**
     * 表情消息
     */
    public static final String MSG_TYPE_EMOTION = "emotion";
    /**
     * 文件消息
     */
    public static final String MSG_TYPE_FILE = "file";
    /**
     * 小程序消息
     */
    public static final String MSG_TYPE_WEAPP = "weapp";

    /**
     * 会话记录消息
     */
    public static final String MSG_TYPE_CHAT_RECORD = "chatrecord";
    /**
     * 代办消息
     */
    public static final String MSG_TYPE_TODO = "todo";
    /**
     * 投票消息
     */
    public static final String MSG_TYPE_VOTE = "vote";
    /**
     * 填表消息
     */
    public static final String MSG_TYPE_COLLECT = "collect";
    /**
     * 红包消息
     */
    public static final String MSG_TYPE_RED_PACKET = "redpacket";
    /**
     * 会议邀请
     */
    public static final String MSG_TYPE_MEETING = "meeting";
    /**
     * 在线文档消息
     */
    public static final String MSG_TYPE_DOC = "docmsg";
    /**
     * markdown消息
     */
    public static final String MSG_TYPE_MARKDOWN = "markdown";

    /**
     * 图文消息
     */
    public static final String MSG_TYPE_NEWS = "news";

    /**
     * 日程消息
     */
    public static final String MSG_TYPE_CALENDAR = "calendar";

    /**
     * 混合消息
     */
    public static final String MSG_TYPE_MIXED = "mixed";
    /**
     * 音频存档消息
     */
    public static final String MSG_TYPE_MEETING_VOICE_CALL = "meeting_voice_call";
    /**
     * 音频共享文档消息
     */
    public static final String MSG_TYPE_VOIP_DOC_SHARE = "voip_doc_share";

    /**
     * 互通红包消息
     */
    public static final String MSG_TYPE_EXTERNAL_RED_PACKET = "external_redpacket";

    /**
     * 视频号消息
     */
    public static final String MSG_TYPE_SPHFEED = "sphfeed";
}
