package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum ContractTypeEnum implements BaseEnum {
    MAIN("MAIN","主合同"),
    FOLLOW("FOLLOW","合同附件"),
            ;

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;
}
