package com.gree.mall.manager.enums;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum TaxOrderTypeEnum implements BaseEnum {
    INCRE("INCRE","增值服务"),
    ORDER("ORDER","商城订单");



    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;

    public static IsEnum findEnumByKey(String key) {
        IsEnum[] values = IsEnum.values();
        for (IsEnum isEnum : values) {
            if (isEnum.getKey().equals(key)) {
                return isEnum;
            }
        }
        return null;
    }

}
