package com.gree.mall.manager.enums.engin;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum ItemSourceTypeEnum implements BaseEnum {
    // BASE=基础资料 ENGIN=工程基础资料 M_NORM=辅材收费标准
    BASE("BASE","基础资料"),
    ENGIN("ENGIN","工程基础资料"),
    M_NORM("M_NORM","辅材收费标准"),
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;
}


