package com.gree.mall.manager.enums.material;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum PartsCheckStatusEnum implements BaseEnum {
    CHECKED("CHECKED","已验收"),
    WAIT_CHECK("WAIT_CHECK","未验收");

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;
}
