package com.gree.mall.manager.enums.promotion;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum PromotionStatusEnum implements BaseEnum {
    ING("ING","继续跟进"),
    END("END","无需跟进"),;

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;
}
