package com.gree.mall.miniapp.bean.activity;

import com.gree.mall.miniapp.plus.entity.PromotionActivity;
import com.gree.mall.miniapp.plus.entity.PromotionActivityItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class PromotionActivityBean extends PromotionActivity {

    @ApiModelProperty(value = "报名信息")
    private List<PromotionActivityItem> items;

    @ApiModelProperty(value = "活动名称")
    private String name;

    @ApiModelProperty(value = "活动图片")
    private String detailImgs;

}
