package com.gree.mall.miniapp.bean.coupon;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@ApiModel
@Data
public class CouponDataBean {

    @ApiModelProperty( value = "用券总成交额")
    private BigDecimal totalSaleValue;

    @ApiModelProperty( value = "优惠总金额")
    private BigDecimal totalDiscountValue;

    @ApiModelProperty( value = "购买商品件数")
    private int buyGoodsCount;

    @ApiModelProperty( value = "购买商品明细")
    private List<BuyGoodsInfo> buyGoodsInfoList;

}
