package com.gree.mall.miniapp.bean.goods;

import com.gree.mall.miniapp.plus.entity.Goods;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel
@Data
public class AckGoodsBean extends Goods {

    @ApiModelProperty("规则值")
    private String specValue;
    @ApiModelProperty("规格图片")
    private String specImgUrl;
    @ApiModelProperty("价格")
    private BigDecimal price;
    @ApiModelProperty("划线价")
    private BigDecimal orgPrice;
    @ApiModelProperty("商品数量")
    private Integer num;
    @ApiModelProperty("是否为礼品卡活动商品")
    private Boolean isGift;
    @ApiModelProperty("秒杀活动id")
    private String secKillId;
    @ApiModelProperty("团购活动id")
    private String promotionGroupId;


}
