package com.gree.mall.miniapp.bean.goods;

import com.gree.mall.miniapp.plus.entity.Goods;
import com.gree.mall.miniapp.plus.entity.Goods;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

@EqualsAndHashCode(callSuper = true)
@ApiModel
@Data
public class GoodsSpecBean extends Goods {

    @ApiModelProperty(value = "商品规格id")
    private String goodsSpecId;

    @ApiModelProperty(value = "规格值")
    private String specValue;

    @ApiModelProperty(value = "图片")
    private String specImgUrl;

    @ApiModelProperty(value = "成本价")
    private BigDecimal costPrice;

    @ApiModelProperty(value = "销售价")
    private BigDecimal price;

    @ApiModelProperty(value = "划线价格")
    private BigDecimal orgPrice;

    @ApiModelProperty(value = "分销金额")
    private BigDecimal shareAmount;

    @ApiModelProperty(value = "库存")
    private Integer stockNum;

    @ApiModelProperty(value = "商品类别名称")
    private String categoryName;

}
