package com.gree.mall.miniapp.bean.material;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel
@Data
public class NormRecordVO {

    @ApiModelProperty(value = "ID")
    private String id;

    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @ApiModelProperty(value = "商品类型 M=辅材 P=配件")
    private String goodsType;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "师傅编号")
    private String workerId;

    @ApiModelProperty(value = "师傅名称")
    private String workerName;

    @ApiModelProperty(value = "工单编号")
    private String orderId;

    @ApiModelProperty(value = "关联工单")
    private String refOrder;

    @ApiModelProperty(value = "使用日期")
    private Date useTime;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "商品代码")
    private String goodsCode;

    @ApiModelProperty(value = "使用数量")
    private BigDecimal useQty;

    @ApiModelProperty(value = "收费标准")
    private BigDecimal normAmount;

    @ApiModelProperty(value = "单位")
    private String unit;

    @ApiModelProperty(value = "客户电话")
    private String phone;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;
}
