package com.gree.mall.miniapp.bean.material;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class WebsitSalesGoodsVO {

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "商品单价")
    private BigDecimal price;

    @ApiModelProperty(value = "商品代码")
    private String goodsCode;

    @ApiModelProperty(value = "商品简称")
    private String goodsSpell;

    @ApiModelProperty(value = "商品规格")
    private String goodsSpecification;

    @ApiModelProperty(value = "商品库存单位（网点采购时、网点销售时）")
    private String goodsStockUnit;

    @ApiModelProperty(value = "商品销售单位（师傅采购时、师傅销售时）")
    private String goodsSalesUnit;

    @ApiModelProperty(value = "品牌名称")
    private String brandRelaName;

    @ApiModelProperty(value = "产品名称")
    private String productRelaName;

    @ApiModelProperty(value = "库存数量")
    private BigDecimal qty;

    @ApiModelProperty(value = "转换数保留小数位（以0舍1入方式保留）")
    private BigDecimal convertBitScale;

    @ApiModelProperty(value = "销售单位转换系数")
    private BigDecimal goodsSalesConvertQty;

    @ApiModelProperty(value = "是否入师傅库存 NO=否 YES=是")
    private String manageWorkerStock;

    @ApiModelProperty(value = "配件类型")
    private String partType;
}
