package com.gree.mall.miniapp.bean.material.parts;

import com.gree.mall.miniapp.plus.entity.WebsitPartsChangeSalesItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
@ApiModel
public class PartsChangeSalesBean {

    @ApiModelProperty("转销单号")
    private String changeSalesNo;

    @ApiModelProperty("销售单号")
    private String salesId;

    @ApiModelProperty("转单类型")
    private String changeType;

    @ApiModelProperty("总金额")
    private BigDecimal totalAmount;

    @ApiModelProperty("网点编码")
    private String websitId;

    @ApiModelProperty("网点名称")
    private String websitName;

    @ApiModelProperty("配件网点编号")
    private String partsWebsitId;

    @ApiModelProperty("师傅身份证")
    private String identity;

    @ApiModelProperty("师傅编号")
    private String workerId;

    @ApiModelProperty("师傅名称")
    private String workerName;

    @ApiModelProperty("审批备注")
    private String examineRemark;

    @ApiModelProperty("单据状态")
    private String flag;

    @ApiModelProperty("单据状态")
    private String flagName;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("审核人")
    private String examineBy;

    @ApiModelProperty("审核时间")
    private Date examineTime;

    @ApiModelProperty("转销售明细")
    List<WebsitPartsChangeSalesItem> partsChangeSalesItemList;
}
