package com.gree.mall.miniapp.bean.material.parts;

import com.gree.mall.miniapp.plus.entity.WorkerStock;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

@EqualsAndHashCode(callSuper = true)
@ApiModel
@Data
public class PartsWorkerStockBean extends WorkerStock {

    @ApiModelProperty("市场价")
    private BigDecimal marketPrice;

    @ApiModelProperty("剩余天数")
    private Long expireDay;

}
