package com.gree.mall.miniapp.bean.material.stock;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel
@Data
public class WorkerNormStockBean {

    @ApiModelProperty("收费标准编号")
    private String normId;
    @ApiModelProperty("师傅辅材编号")
    private String workerGoodsId;
    @ApiModelProperty("定义1比N扣减数量")
    private BigDecimal qty;
    @ApiModelProperty("师傅辅材名称")
    private String goodsName;
    @ApiModelProperty("师傅辅材名称")
    private String salesUnit;
    @ApiModelProperty("是否小件")
    private Boolean isSmall;
    @ApiModelProperty("库存数量")
    private BigDecimal stockQty;
    @ApiModelProperty("实际要扣减数量")
    private BigDecimal realQty;
    @ApiModelProperty("收费标准单价")
    private BigDecimal normPrice;
}
