package com.gree.mall.miniapp.bean.order;

import com.gree.mall.miniapp.plus.entity.LeaseOrder;
import com.gree.mall.miniapp.plus.entity.LeaseOrderItem;
import com.gree.mall.miniapp.plus.entity.LeaseOrderPayRecord;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@ApiModel
@Data
@Accessors(chain = true)
public class LeaseOrderBean extends LeaseOrder {

    @ApiModelProperty(value = "商品明细")
    List<LeaseOrderItem> items;

    @ApiModelProperty(value = "订金记录")
    LeaseOrderPayRecord record;

    @ApiModelProperty(value = "续租记录")
    List<LeaseOrderPayRecord> records;
}
