package com.gree.mall.miniapp.bean.order;

import com.gree.mall.miniapp.plus.entity.GoodsCategory;
import com.gree.mall.miniapp.plus.entity.GoodsCategoryItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@ApiModel
@Data
public class OrderCategoryItem extends GoodsCategory {

    @ApiModelProperty("所有属性")
    private List<GoodsCategoryItem> goodsCategoryItemList;

    @ApiModelProperty(value = "以旧换新抵扣方式 1=线上支付抵扣订单货款 2=仅线上展示旧机价值")
    private Integer yjhxDkFlag;


    @ApiModelProperty(value = "价格")
    private BigDecimal payAmount;

    @ApiModelProperty("规格id")
    private String id;


    @ApiModelProperty("属性id")
    private List<String> itemIds;

}
