package com.gree.mall.miniapp.bean.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class RefundGoodsBean {

    @ApiModelProperty("订单id")
    private String orderId;
    @ApiModelProperty("退款订单商品明细id")
    private String orderDetailId;
    @ApiModelProperty("退款方式：REFUND_AMOUNT=仅退款  REFUND_GOODS=退货退款")
    private String refundType;
    @ApiModelProperty("退换货原因")
    private String refundReason;
    @ApiModelProperty("退换货说明")
    private String refundExplain;
    @ApiModelProperty("凭证ids")
    private List<String> imgIds;
    @ApiModelProperty("退款商品")
    private List<RefundGoods> refundGoods;


}
