package com.gree.mall.miniapp.bean.policy;

import com.gree.mall.miniapp.plus.entity.Agreement;
import com.gree.mall.miniapp.plus.entity.Policy;
import com.gree.mall.miniapp.plus.entity.PolicyOrder;
import com.gree.mall.miniapp.plus.entity.PolicyRange;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class PolicyOrderDetail extends PolicyOrder {

    @ApiModelProperty(value = "保单范围")
    private List<PolicyRange> policyRanges;

    @ApiModelProperty(value = "保单")
    private Policy policy;

    @ApiModelProperty(value = "协议")
    private List<Agreement> agreements;
}
