package com.gree.mall.miniapp.bean.promotion;

import com.gree.mall.miniapp.plus.entity.PromotionQuestionnaire;
import com.gree.mall.miniapp.plus.entity.PromotionQuestionnaireItem;
import com.gree.mall.miniapp.plus.entity.PromotionQuestionnaireUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 问卷活动新增
 * @author ：lijh
 * @description：TODO
 * @date ：2024/5/7 10:33
 */
@ApiModel
@Data
public class PromotionQuestionnaireAddBean extends PromotionQuestionnaire {

    @ApiModelProperty("提交记录")
    private List<PromotionQuestionnaireUser> promotionQuestionnaireUsers;
    @ApiModelProperty("活动题目")
    private List<PromotionQuestionnaireItem> promotionQuestionnaireItems;

    @ApiModelProperty("状态0=未开始 1=进行中 2=已过期 3=已终止")
    private Integer status;
    @ApiModelProperty("剩余可提交次数")
    private Integer limit;
}
