package com.gree.mall.miniapp.bean.tag;

import com.gree.mall.miniapp.bean.tag.UserWxCustomerTagBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@ApiModel
@Data
public class UserWxCustomerBean {
    @ApiModelProperty("姓名")
    private String nickName;
    @ApiModelProperty("手机号码")
    private String mobile;
    @ApiModelProperty("union id")
    private String unionId;
    @ApiModelProperty("创建时间")
    private Date serviceTime;
    @ApiModelProperty("标签列表")
    private List<UserWxCustomerTagBean> tags;
    @ApiModelProperty("自定义标签列表")
    private List<UserWxCustomerTagBean> customtags;
    private String lastAccessTime;


}
