package com.gree.mall.miniapp.bean.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.springframework.web.bind.annotation.RequestParam;

@ApiModel
@Data
public class UserAddressBean {
    @ApiModelProperty(value = "地址id")
    private String userAddressId;

    @ApiModelProperty(value = "用户id")
    private String userId;
    @ApiModelProperty(value = "收货人姓名")
    private String name;
    @ApiModelProperty(value = "收货电话")
    private String phone;
    @ApiModelProperty(value = "省")
    private String province;
    @ApiModelProperty(value = "市")
    private String city;
    @ApiModelProperty(value = "区")
    private String area;
    @ApiModelProperty("街道")
    private String street;
    @ApiModelProperty(value = "收货地址")
    private String address;
    @ApiModelProperty(value = "门牌号")
    private String houseNo;
    @ApiModelProperty(value = "是否默认地址")
    private Boolean defaultAddr;
}
