package com.gree.mall.miniapp.bean.user;

import com.gree.mall.miniapp.plus.entity.User;
import com.gree.mall.miniapp.plus.entity.WorkerImg;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class UserWxBean extends User {

    @ApiModelProperty("token")
    private String token;
    @ApiModelProperty("购物车商品数量")
    private Integer shoppingCartNums = 0;
    @ApiModelProperty(value = "企业微信联系我二维码")
    private String workQrcode2;
    @ApiModelProperty(value = "业务员信息")
    private ServiceWorkerBean serviceWorkerBean;
    @ApiModelProperty("网点编号")
    private String websitNumber;
    @ApiModelProperty("网点名称")
    private String websitName;

    @ApiModelProperty("商户手机号")
    private String companyWechatMobile;

    @ApiModelProperty("辅材配件模块")
    private Boolean moduleMaterialPart;
    @ApiModelProperty("延保模块")
    private Boolean moduleYb;
    @ApiModelProperty("工程维保模块")
    private Boolean moduleWb;
    @ApiModelProperty("二手商城模块")
    private Boolean moduleEs;
    @ApiModelProperty("师傅图片")
    private List<WorkerImg> workerImgs;

    @ApiModelProperty("是否可以到店支付")
    private Boolean storePay = false;

    @ApiModelProperty("租户属性 1=销售 2=售后")
    private Integer companyType;
    @ApiModelProperty("客户端的菜单json")
    private String appModuleJson;

    @ApiModelProperty("是否显示租赁")
    private Boolean isShowLease = false;
}
