package com.gree.mall.miniapp.bean.workorder;

import com.google.common.collect.Lists;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@ApiModel
@Data
public class MySchedule7Day {
    @ApiModelProperty("星期")
    private List<String> weekList;
    @ApiModelProperty("日期")
    private List<String> dayList;
    @ApiModelProperty("未来7天的待接单统计")
    private List<Long> djdList = Lists.newArrayList(0L,0L,0L,0L,0L,0L,0L);
    @ApiModelProperty("未来7天的服务中统计")
    private List<Long> fwzList = Lists.newArrayList(0L,0L,0L,0L,0L,0L,0L);
}
