package com.gree.mall.miniapp.bean.workorder;

import com.gree.mall.miniapp.plus.entity.PgOrderProduct;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;


@Data
public class OrderAddBeanDTO{

    @ApiModelProperty("用户地址id")
    private String userAddressId;
    //@NotBlank(message = "客户名称不能为空")
    @ApiModelProperty("客户名称")
    private String userName;
    //@NotBlank(message = "客户手机号不能为空")
    @ApiModelProperty("客户手机号")
    private String phone;
    //@NotBlank(message = "省id不能为空")
    @ApiModelProperty("省id")
    private String provinceId;
    //@NotBlank(message = "市id不能为空")
    @ApiModelProperty("市id")
    private String cityId;
    //@NotBlank(message = "区id不能为空")
    @ApiModelProperty("区id")
    private String areaId;
    //@NotBlank(message = "街道id不能为空")
    @ApiModelProperty("街道id")
    private String streetId;
    //@NotBlank(message = "省不能为空")
    private String province;
    //@NotBlank(message = "市不能为空")
    private String city;
    //@NotBlank(message = "区不能为空")
    private String area;
    //@NotBlank(message = "街道不能为空")
    private String street;
    //@NotBlank(message = "地址不能为空")
    private String address;


    @ApiModelProperty("工单类型")
    private String orderSmallType;
    @ApiModelProperty("所属网点(师傅类型必填)")
    private String websitId;
    @ApiModelProperty("预约上门时间")
    private Date appointmentTime;
    @ApiModelProperty("产品信息")
    private List<PgOrderProduct> orderProducts;
    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("延保订单id")
    private String pgIncreOrderId;
    @ApiModelProperty("维保id")
    private String rpProjectRepairId;

    @ApiModelProperty("师傅/客户id")
    private String userId;
    private String companyWechatId;
    private String companyWechatName;

    private Boolean isZl = false;
    private String saleOrderId;

}

