package com.gree.mall.miniapp.commonmapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.gree.mall.miniapp.bean.goods.GoodsFavoriteBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CustomGoodsFavoriteMapper {
    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    List<GoodsFavoriteBean> queryGoodsFavorite(@Param("userId") String userId,@Param("pageNum") Integer pageNum,@Param("pageSize") Integer pageSize);
    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    Integer queryGoodsFavoriteCount(@Param("userId") String userId);
}
