package com.gree.mall.miniapp.enums;


import com.gree.mall.miniapp.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum NoticeTypeEnum implements BaseEnum {
    SYSTEM ("SYSTEM","系统消息"),
    NOTICE("NOTICE","公告类型"),
    WB("WB","维保消息"),
    ;


    private final String key;
    private final String remark;

}
