package com.gree.mall.miniapp.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.miniapp.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum PayOrderTypeEnum implements BaseEnum {
    S("S","收款"),
    R("R","退款"),
    ;

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;
}
