package com.gree.mall.miniapp.utils;

/**
 * Created by jie on 19/10/30.
 */
public class KeyValueDefine {

    /**
     * 状态禁用启用
     */
    public static final Integer ONLINE_STATUS = 1; //启用
    public static final Integer OFFLINE_STATUS = 0; //禁用

    /**
     * 0-学习 1-考评
     */
    public static final Integer STUDY = 0; //学习
    public static final Integer EXAM = 1; //考评

    /**
     * 0-未学习 1-已学习
     */
    public static final Integer DID_NOT_LEARN = 0; //未学习
    public static final Integer HAS_BEEN_LEARNING = 1; //已学习


    /**
     * 人员身份
     */
    public static final String COACH ="isCoach";//教练
    public static final String COUNSELOR ="isCounselor";//课程顾问
    public static final String SHOPOWNER ="isShopowner";//店长
    public static final String MANAGER ="isManager";//俱乐部管理者

    /**
     * 小程序种类 0-俱乐部小程序 1-会员端小程序
     */
    public static final Integer CLUB_MINI_APP = 0;
    public static final Integer MENBER_MINI_APP = 1;

    /**
     * 加入类型 0-关注教练 1-关注门店
     */
    public static final Integer ATTENTION_COACH = 0;
    public static final Integer ATTENTION_SHOP = 1;

    /**
     * 关注状态 1-关注 0-取消关注
     */
    public static final Integer CANCEL_ATTENTION = 0;
    public static final Integer ATTENTION= 1;

    /**
     * 用户状态online-在读-before历史-latent
     */
    public static final String ONLINE = "online";
    public static final String BEFORE= "before";
    public static final String LATENT="latent";

    /**
     * 类型：0课程 1商品
     */
    public static final Integer COURES = 0;
    public static final Integer GOODS= 1;

    /**
     * 关注、分享、增减积分icon
     */
    public static final String JFICON = "https://api.weskater.com/clubadminapi/v2/upload/jf_icon.png";

    /**
     * 兑换状态  0-待兑换  1-已兑换
     */
    public static final Integer WAIT_CONVERT = 0;
    public static final Integer ALREADY_CONVERT= 1;

    /**
     * 积分变化趋势  0-减少  1-增加
     */
    public static final Integer JF_CUT_DOWN = 0;
    public static final Integer JF_ADD= 1;

    /**
     * 积分操作方式  0-人员手动操作  1-系统自动操作
     */
    public static final Integer JF_Hand_CAHNGE = 0;
    public static final Integer JF_AUTO_CHANGE= 1;

    /**
     * 操作类型  0-购买商品扣积分  1-分享关注的积分  2-魔力拼团的积分
     */
    public static final Integer BUY_GOODS = 0;
    public static final Integer SHARE_ATTENTION = 1;
    public static final Integer MAGIC = 2;

    /**
     * 俱乐部人员角色  0-教练  1-课程顾问  2-店主身份  3-俱乐部管理者
     */
    public static final Integer ISCOACH = 0;//教练
    public static final Integer ISCOUNSELOR = 1;//课程顾问
    public static final Integer ISSHOPOWNER = 2;//店长
    public static final Integer ISMANAGER = 3;//俱乐部管理者

    /**
     * O端控制的活动类型  0-首页活动  1-首页设置的热门活动
     */
    public static final Integer HOME_PAGE_ACTIVITY = 0;
    public static final Integer HOT_CLUB_ACTIVITY= 1;

    /**
     * B端控制的活动类型  0-活动中心活动  1-门店设置的热门活动
     */
    public static final Integer ACTIVITY_CENTER = 0;
    public static final Integer HOT_SHOP_ACTIVITY= 1;
}
