package com.gree.mall.manager.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.FreightStatusEnum;
import com.gree.mall.manager.enums.OrderStatusEnum;
import com.gree.mall.manager.enums.StatusEnum;
import com.gree.mall.manager.plus.entity.FreightTemplate;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ZfireField(tbName = "a")
public class FreightTemplateVO {

    @ZfireField(hide = true)
    @TableId(value = "freight_template_id", type = IdType.ID_WORKER_STR)
    private String freightTemplateId;

    @ApiModelProperty(value = "模板名称")
    private String name;

    @ApiModelProperty(value = "状态")
    private StatusEnum status;

    @ApiModelProperty(value = "创建人")
    private String createUserName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "企业微信id")
    private String companyWechatId;

//    @ApiModelProperty(value = "商户名称")
//    private String companyName;

}
