package com.gree.mall.manager.bean.activity;

import com.gree.mall.manager.plus.entity.SecKillStage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@ApiModel
@Data
public class CustomSecSpecBean {

    @ApiModelProperty("秒杀商品规格id")
    private String secKillSpecId;

    @ApiModelProperty("商品名称")
    private String goodsName;

    @ApiModelProperty("秒杀图片链接")
    private String imgUrl;

    @ApiModelProperty("划线价")
    private String orgPrice;

    @ApiModelProperty("已售数量")
    private Long soldNum;

    @ApiModelProperty("秒杀价格")
    private BigDecimal price;

    @ApiModelProperty("分账金额")
    private BigDecimal amount;

    @ApiModelProperty("秒杀开始时间")
    private Date startTime;

    @ApiModelProperty("秒杀结束时间")
    private Date endTime;

    @ApiModelProperty(value = "分销比例")
    private Double sharePercent;

    @ApiModelProperty("秒杀状态,0全部,1未开始,2进行中,3已结束,4已关闭")
    private Integer status;


}
