package com.gree.mall.manager.bean.activity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@ApiModel
@Data
public class CustomSpecBean {

    @ApiModelProperty("商品id")
    private String goodsId;

    @ApiModelProperty("商品规格Id")
    private String goodsSpecId;

    @ApiModelProperty("商品名称")
    private String goodsName;

    @ApiModelProperty("商品图片")
    private String imgUrl;

    @ApiModelProperty("商品价格")
    private String goodsPrice;

    @ApiModelProperty("商品库存")
    private String stockNum;

    @ApiModelProperty("商品规格名")
    private String name;

    @ApiModelProperty("商品规格值")
    private String specValue;

    @ApiModelProperty(value = "分销比例")
    private Double sharePercent;

    @ApiModelProperty("分账金额")
    private BigDecimal amount;

    @ApiModelProperty("划线价")
    private String orgPrice;

    @ApiModelProperty("已售数量")
    private Long salesVolume;

}
