package com.gree.mall.manager.bean.activity;

import com.gree.mall.manager.enums.promotion.PromotionStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class PromotionActivityBatchBean {

    @ApiModelProperty(value = "活动单id")
    private List<String> ids;

    @ApiModelProperty(value = "最新跟进结果")
    private PromotionStatusEnum status = PromotionStatusEnum.ING;

    @ApiModelProperty(value = "备注")
    private String remark;
}
