package com.gree.mall.manager.bean.activity;

import com.gree.mall.manager.plus.entity.PromotionActivity;
import com.gree.mall.manager.plus.entity.PromotionActivityItem;
import com.gree.mall.manager.plus.entity.PromotionActivityRecord;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class PromotionActivityBean extends PromotionActivity {

    @ApiModelProperty(value = "报名信息")
    private List<PromotionActivityItem> items;

    @ApiModelProperty(value = "跟进记录")
    private List<PromotionActivityRecord> records;

}
