package com.gree.mall.manager.bean.activity;

import com.gree.mall.manager.plus.entity.PromotionGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel
@Data
public class PromotionGroupList extends PromotionGroup {

    @ApiModelProperty("参数产品数量")
    private Integer goodsNum;
    @ApiModelProperty("订单数量")
    private Integer orderNum;
    @ApiModelProperty("订单台数")
    private Integer orderDetailNum;
    @ApiModelProperty("订单总金额")
    private BigDecimal orderTotalAmount;
    @ApiModelProperty("团长分佣总额")
    private BigDecimal shareTotalAmount;


}
