package com.gree.mall.manager.bean.activity.fullpiece;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel
@Data
public class PromotionFullPieceListVO {

    private String id;
    @ApiModelProperty("活动名称")
    private String name;
    @ApiModelProperty("参与产品数量")
    private Integer goodsNum;
    @ApiModelProperty("活动开始时间")
    private Date startTime;
    @ApiModelProperty("活动结束时间")
    private Date endTime;
    @ApiModelProperty("状态")
    private String status;
    @ApiModelProperty("订单数量")
    private Integer orderNums;
    @ApiModelProperty("订单总金额")
    private BigDecimal orderTotalAmount;
    @ApiModelProperty("创建人")
    private String createBy;
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("更新人")
    private String updateBy;
    @ApiModelProperty("更新时间")
    private Date updateTime;


}
