package com.gree.mall.manager.bean.activity.luckdraw;

import com.gree.mall.manager.plus.entity.PromotionLuckDraw;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel
@Data
public class PromotionLuckDrawCodeBean extends PromotionLuckDraw {

    @ApiModelProperty("券名称")
    private String couponName;
    @ApiModelProperty("券类型 SATISFY=满减券 GOODS=商品券 DISCOUNT=折扣券")
    private String couponType;
    @ApiModelProperty("券面值")
    private BigDecimal discountAmount;
    @ApiModelProperty("兑换码")
    private String code;
    @ApiModelProperty("状态 0=未兑换 1=已兑换未使用 2=已使用")
    private Integer status2;
    @ApiModelProperty("领取人昵称")
    private String userNickName;
    @ApiModelProperty("领取人手机号")
    private String userMobile;
    @ApiModelProperty("领取人兑换时间")
    private Date userExchangeTime;
    @ApiModelProperty("领取人使用时间")
    private Date userUseTime;
    @ApiModelProperty("订单号")
    private String orderId;
    @ApiModelProperty("订单用户")
    private String userName;
    @ApiModelProperty("订单状态")
    private String orderStatus;


}
