package com.gree.mall.manager.bean.admin;

import io.swagger.annotations.ApiModelProperty;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author qinrongjun
 * @description
 * @date 2023/8/12 14:55 星期六
 */
@Data
public class AdminModuleVO {

    @ApiModelProperty( "id")
    private String moduleId;

    @ApiModelProperty( "名称")
    private String moduleName;

    @ApiModelProperty( "模块路径")
    private String modulePath;

    @ApiModelProperty( "true=正常 false=作废")
    private Boolean status;

    @ApiModelProperty( "1=普通菜单 2=功能菜单 3=功能点  4=外部菜单")
    private Integer type;

    @ApiModelProperty( "编号")
    private String code;

    @ApiModelProperty( "层级")
    private Integer level;

    @ApiModelProperty( "url")
    private String url;

    @ApiModelProperty( "全url")
    private String fullUrl;

    @ApiModelProperty( "当前url")
    private String curUrl;

    @ApiModelProperty( "父id")
    private String parentId;

    @ApiModelProperty( "父级名称")
    private String parentModule;

    @ApiModelProperty( "排序号")
    private Integer sortNum;

    @ApiModelProperty( "创建时间")
    private Date createTime;

    @ApiModelProperty( "icon")
    private String icon;

    @ApiModelProperty( "更新时间")
    private Date updateTime;

    @ApiModelProperty( "type=2的功能点")
    List<AdminModuleVO> childList;

}
