package com.gree.mall.manager.bean.admin;

import com.gree.mall.manager.plus.entity.AdminUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@ApiModel
@Data
public class AdminUserBean extends AdminUser {

    @ApiModelProperty("企业id")
    private String corpId;
    @ApiModelProperty("小程序应用id")
    private Integer agentId1;
    @ApiModelProperty("企业微信小程序密钥")
    private String secret1;
    @ApiModelProperty("标签密钥")
    private String secret2;
    @ApiModelProperty("通讯录密钥")
    private String secret3;
    @ApiModelProperty("token")
    private String token;
//    @ApiModelProperty("所属公司")
//    private List<AdminUserCompanyRela> adminUserCompanyRelaList;
    @ApiModelProperty("appId")
    private String appId;
    private String mchId;
    private String mchKey;
    private String subAppId;
    private String subSecret;
    private String subMchId;
    private String template;
    @ApiModelProperty("小程序名称")
    private String minAppName;
    @ApiModelProperty("小程序授权页logo")
    private String minLogo1;
    @ApiModelProperty("小程序通用logo")
    private String minLogo2;
    @ApiModelProperty("小程序默认头像logo")
    private String minLogo3;
    @ApiModelProperty("网点id")
    private List<String> adminWebsitId;

    @ApiModelProperty("部门id")
    private List<String> adminDeptId;

    @ApiModelProperty("部门ids")
    private List<String> adminWebsitIds;
    @ApiModelProperty("使用小程序模板类型:  1=模板1 2=模板2")
    private Integer useTemplate;

    @ApiModelProperty(value = "隔多少天")
    private Integer dayNum;

    @ApiModelProperty(value = "几点")
    private String hourTime;

    @ApiModelProperty("小程序码")
    private String qrcode1;
    @ApiModelProperty("公众号码")
    private String qrcode2;

    @ApiModelProperty(value = "公司开通时间")
    private Date companyOpenTime;

    @ApiModelProperty(value = "公司过期时间")
    private Date companyExpireTime;

    @ApiModelProperty(value = "购买方id")
    private String buyCompanyInfo;

    private String pubAppId;
    private String pubAppSecret;
    private String appletAppid;
    private String appletSecret;
    @ApiModelProperty("辅材配件权限")
    private Boolean moduleMaterialPart;
    @ApiModelProperty("延保权限")
    private Boolean moduleYb;
    @ApiModelProperty("维保权限")
    private Boolean moduleWb;
    @ApiModelProperty("租赁业务权限")
    private Boolean moduleZl;
    @ApiModelProperty("二手商城业务")
    private Boolean moduleEs;
    @ApiModelProperty("以旧换新抵扣方式")
    private Integer yjhxDkFlag;

    @ApiModelProperty("分销员是否承担销售佣金的手续费")
    private Boolean isShareTax;

    @ApiModelProperty("客户端菜单json")
    private String appModuleJson;

    private String pubTemplateId1;
    private String pubTemplateId2;
    private String pubTemplateId3;
    private String pubTemplateId4;
    private String pubTemplateId5;
    private String pubTemplateId6;
    private String pubTemplateId7;
    private String pubTemplateId8;

    @ApiModelProperty("库存管理方式 NO 不管理  CODE 管条码   NUM 管数量")
    private String joinCode;
    @ApiModelProperty("租户类型 1=销售 2=售后")
    private Integer companyType;

    @ApiModelProperty("支付二维码")
    private String payQrcode;

    @ApiModelProperty("打印单名称")
    private String billTitle;

    @ApiModelProperty("是否到店支付")
    private Boolean storePay;


    @ApiModelProperty("市")
    private String city;

    @ApiModelProperty("省")
    private String province;

    @ApiModelProperty("街道")
    private String street;

    @ApiModelProperty("区")
    private String area;
}
