package com.gree.mall.manager.bean.admin.reqDto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.plus.entity.AdminCompanyWechatTemplate;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value="AdminCompanyWechatUpdateReqDto对象", description="编辑商户dto")
public class AdminCompanyWechatTemplateUpdateReqDto {

    @ApiModelProperty(value = "企业的微信配置id")
    private String companyWechatId;
    @ApiModelProperty("使用小程序模板:  1=模板1 2=模板2 ")
    private Integer useTemplate;
    @ApiModelProperty(value = "主log")
    private String mainLog;
    @ApiModelProperty("通用loc")
    private String commonLog;
    @ApiModelProperty("头像log")
    private String minLogo;
    @ApiModelProperty("模板信息")
    List<AdminCompanyWechatTemplate> companyWechatTemplatesList;
}
