package com.gree.mall.manager.bean.admin.reqDto;

import com.gree.mall.manager.plus.entity.AdminUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

@Data
@ApiModel(value="AdminUserAddBean对象", description="新增用户对象")
public class AdminUserAddReqBean extends AdminUser {

    @ApiModelProperty("网点id")
    private List<String> adminWebsitId;

    @ApiModelProperty("选择得部门id")
    private List<String> adminDeptId;
}
