package com.gree.mall.manager.bean.common;


import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.StatusEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data

public class AmityUrlVO {

   @ApiModelProperty( "友情链接id")
    private String amityUrlId;

   @ApiModelProperty( "友情链接名称")
    private String amityUrlName;

   @ApiModelProperty( "友链地址")
    private String amityUrl;

   @ApiModelProperty( "logo")
    private String amityUrlLogo;

   @ApiModelProperty( "排序")
    private Integer amityUrlSort;

   @ApiModelProperty( "状态")
    private StatusEnum status;

   @ApiModelProperty( "创建人")
    private String createBy;

   @ApiModelProperty( "创建时间")
    private Date createTime;

   @ApiModelProperty( "更新人")
    private String updateBy;

   @ApiModelProperty( "更新时间")
    private Date updateTime;
}
