package com.gree.mall.manager.bean.common;


import com.gree.mall.manager.enums.StatusEnum;
import com.gree.mall.manager.enums.material.StateEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
public class OpenDictVO {
    @ApiModelProperty("id")
    private String sysDictId;

    @ApiModelProperty("字典编号")
    private String dictCode;

    @ApiModelProperty("字典值")
    private String dictValue;

    @ApiModelProperty("状态")
    private StateEnum status;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("排序")
    private Integer sortNum;

}
