package com.gree.mall.manager.bean.common;


import com.gree.mall.manager.enums.material.StateEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author qinrongjun
 * @description
 * @date 2023/8/4 11:10 星期五
 */
@Data
public class SysDictAddParam {

    @NotBlank(message = "字典类型不能为空")
    @ApiModelProperty("字典类型")
    private String dictType;

    @NotBlank(message = "字典值不能为空")
    @ApiModelProperty("字典编号")
    private String dictCode;

    @NotBlank(message = "字典值不能为空")
    @ApiModelProperty("字典值")
    private String dictValue;

    @NotNull(message = "字典状态不能为空")
    @ApiModelProperty("字典状态")
    private StateEnum status;

    @ApiModelProperty("备注")
    private String remark;

    @NotNull(message = "排序不能为空")
    @ApiModelProperty("排序")
    private Integer sortNum;
}
