package com.gree.mall.manager.bean.common;


import com.gree.mall.manager.enums.material.StateEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author qinrongjun
 * @description
 * @date 2023/8/4 11:16 星期五
 */
@Data
public class SysDictEditParam {

    @NotBlank(message = "字典值id不能为空")
    @ApiModelProperty("字典值id")
    private String sysDictId;

    @ApiModelProperty("字典值")
    private String dictValue;

    @ApiModelProperty("字典状态")
    private StateEnum status;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("排序")
    private Integer sortNum;
}
