package com.gree.mall.manager.bean.common;


import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.constant.SysDictConstant;
import com.gree.mall.manager.enums.material.StateEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@ZfireField(tbName = "a")
@Data
public class SysDictVO {

    @ApiModelProperty("id")
    @ZfireField(hide = true)
    private String sysDictId;

    @ZfireField(type="select",frontCode = SysDictConstant.SYS_DICT_TYPE,colName = "dict_type")
    @ApiModelProperty("字典类型")
    private String dictTypeName;

    @ZfireField(type="select")
    @ApiModelProperty("状态")
    private StateEnum status;

    @ApiModelProperty("字典编号")
    private String dictCode;

    @ApiModelProperty("字典值")
    private String dictValue;

    @ApiModelProperty("父字典类型")
    private String parentDictType;

    @ApiModelProperty("父字典编号")
    private String parentDictCode;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("排序")
    private Integer sortNum;

//    @ApiModelProperty("所属商户")
//    private String  companyName;

    @ZfireField(hide = true)
    @ApiModelProperty("所属商户id")
    private String  companyWechatId;

}
