package com.gree.mall.manager.bean.contract;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class AgentInfo {

    @ApiModelProperty(value = "代理人姓名")
    private String agentName = "";

    @ApiModelProperty(value = "代理人证件号")
    private String agentId = "";

    @ApiModelProperty(value = "代理人手机号（仅支持国内运营商）")
    private String agentMobile = "";

    @ApiModelProperty(value = "代理人证件正面照下载地址")
    private String agentIdFrontPath = "";

    @ApiModelProperty(value = "代理人证件反面照下载地址")
    private String agentIdBackPath = "";

    @ApiModelProperty(value = "代理人银行卡号")
    private String bankCardNo = "";
}
