package com.gree.mall.manager.bean.contract;

import com.fadada.sdk.verify.model.req.CompanyVerifyUrlParams;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class CompanyInfo extends CompanyVerifyUrlParams.CompanyInfo {

    @ApiModelProperty(value = "企业名称")
    private String companyName = "";

    @ApiModelProperty(value = "统一社会信用代码")
    private String creditNo = "";

    @ApiModelProperty(value = "统一社会信用代码证件照路径")
    private String creditImagePath = "";

}
