package com.gree.mall.manager.bean.contract;

import com.gree.mall.manager.plus.entity.ContractWebsit;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class ContractWebsitBean extends ContractWebsit {

    @ApiModelProperty(value = "所属公司")
    private String belongCompany;

    @ApiModelProperty(value = "所属公司编号")
    private String belongCompanyCode;

    @ApiModelProperty(value = "上级网点名称")
    private String parentName;

    @ApiModelProperty(value = "网点名称")
    private String name;
}
