package com.gree.mall.manager.bean.contract;

import com.fadada.sdk.verify.model.req.CompanyVerifyUrlParams;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class LegalInfo extends CompanyVerifyUrlParams.LegalInfo {

    @ApiModelProperty(value = "法人姓名")
    private String legalName = "";

    @ApiModelProperty(value = "法人证件号")
    private String legalId = "";

    @ApiModelProperty(value = "法人手机号（仅支持国内运营商）")
    private String legalMobile = "";

    @ApiModelProperty(value = "法人证件正面照下载地址")
    private String legalIdFrontPath = "";

    @ApiModelProperty(value = "法人证件反面照下载地址")
    private String legalIdBackPath = "";

    @ApiModelProperty(value = "法人银行卡号")
    private String bankCardNo = "";

}
