package com.gree.mall.manager.bean.count;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class IncreCount {


    @ApiModelProperty("总配置数量")
    private Integer allIncreNum = 0;

    @ApiModelProperty("有效项目数量")
    private Integer onIncreNum = 0;

    @ApiModelProperty("无效配置数量")
    private Integer offIncreNum = 0;

    @ApiModelProperty("理赔工单数量")
    private Integer lpOrderNumber = 0;

    @ApiModelProperty("线下订单待审核")
    private Integer waitLineNum = 0;

    @ApiModelProperty("线下订单审核通过")
    private Integer okLineOrderNum = 0;

    @ApiModelProperty("线下订单审核失败数量")
    private Integer failLineOrderNum = 0;

    @ApiModelProperty("线上订单支付数量")
    private Integer paidOnLineOrderNum = 0;

    @ApiModelProperty("待支付数量")
    private Integer waitOnLineOrderNum = 0;

    @ApiModelProperty("已退款数量")
    private Integer refundOnLineOrderNum = 0;

    @ApiModelProperty("已过期数量")
    private Integer endOnLineOrderNum = 0;

    @ApiModelProperty("取消数量")
    private Integer cancelOnLineOrderNum = 0;


    @ApiModelProperty("新增线上订单")
    private List<Integer> onLineList ;


    @ApiModelProperty("新增线下订单")
    private List<Integer> lineList;
}
