package com.gree.mall.manager.bean.count;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel
@Data
public class MaterialCount {


    @ApiModelProperty("辅材总配置数量")
    private Integer allmGoodsNum = 0;

    @ApiModelProperty("辅材有效配置数量")
    private Integer onMGoodsNum = 0;

    @ApiModelProperty("辅材无效配置数量")
    private Integer offMGoodsNum = 0;


    @ApiModelProperty("辅材收费标准配置数量")
    private Integer allmChargeGoodsNum = 0;

    @ApiModelProperty("辅材收费标准有效配置数量")
    private Integer onmChargeGoodsNum = 0;

    @ApiModelProperty("辅材收费标准无效配置数量")
    private Integer offmChargeGoodsNum = 0;


    @ApiModelProperty("供应商总配置数量")
    private Integer allVendNum = 0;

    @ApiModelProperty("供应商有效配置数量")
    private Integer onVendNum = 0;

    @ApiModelProperty("供应商无效配置数量")
    private Integer offVendNum = 0;


    @ApiModelProperty("师傅辅材列表统计总配置数量")
    private Integer allmWorkerGoodsNum = 0;

    @ApiModelProperty("师傅辅材列表统计有效配置数量")
    private Integer onmWorkerGoodsNum = 0;

    @ApiModelProperty("师傅辅材列表统计无效配置数量")
    private Integer offmWorkerGoodsNum = 0;


    @ApiModelProperty("产品关系维护单总数量")
    private Integer allPNum = 0;

    @ApiModelProperty("产品关系维护单保存数量")
    private Integer savePNum = 0;

    @ApiModelProperty("产品关系维护单已审批数量")
    private Integer onPNum = 0;

    @ApiModelProperty("网点采购单总数量")
    private Integer websitCheckNum = 0;

    @ApiModelProperty("网点采购单未核实数量")
    private Integer websitCheckNeverNum = 0;

    @ApiModelProperty("网点采购单已核实数量")
    private Integer websitCheckYesNum = 0;


    @ApiModelProperty("网点采购申请单保存数量")
    private Integer websitApplySaveNum = 0;

    @ApiModelProperty("网点采购申请单提交数量")
    private Integer websitApplySumbitNum = 0;

    @ApiModelProperty("网点采购申请单作废数量")
    private Integer websitApplyCancelNum = 0;

    @ApiModelProperty("网点采购申请单通过数量")
    private Integer websitApplyOkNum = 0;

    @ApiModelProperty("网点采购申请单失败数量")
    private Integer websitApplyFailNum = 0;


    @ApiModelProperty("网点采购订单保存数量")
    private Integer websitOrderSaveNum = 0;

    @ApiModelProperty("网点采购订单提交数量")
    private Integer websitOrderSumbitNum = 0;

    @ApiModelProperty("网点采购订单作废数量")
    private Integer websitOrderCancelNum = 0;

    @ApiModelProperty("网点采购订单通过数量")
    private Integer websitOrderOkNum = 0;

    @ApiModelProperty("网点采购订单失败数量")
    private Integer websitOrderFailNum = 0;



    @ApiModelProperty("网点采购调整单保存数量")
    private Integer websitAdjustmentSaveNum = 0;

    @ApiModelProperty("网点采购调整单提交数量")
    private Integer websitAdjustmentSumbitNum = 0;

    @ApiModelProperty("网点采购调整单作废数量")
    private Integer websitAdjustmentCancelNum = 0;

    @ApiModelProperty("网点采购调整单通过数量")
    private Integer websitAdjustmentOkNum = 0;

    @ApiModelProperty("网点采购调整单失败数量")
    private Integer websitAdjustmentFailNum = 0;



    @ApiModelProperty("辅材采购退货单保存数量")
    private Integer savePurchaseRetNum = 0;

    @ApiModelProperty("辅材采购退货单审核数量")
    private Integer okPurchaseRetNum = 0;

    @ApiModelProperty("辅材采购退货单审核失败数量")
    private Integer failPurchaseRetNum = 0;



    @ApiModelProperty("辅材调价保存数量")
    private Integer savePriceUpdNum = 0;

    @ApiModelProperty("辅材调价审核数量")
    private Integer okPriceUpdNum = 0;


    @ApiModelProperty("辅材销售订单保存数量")
    private Integer saveSalesNum = 0;

    @ApiModelProperty("辅材销售订单提交数量")
    private Integer submitSalesNum = 0;

    @ApiModelProperty("辅材销售订单已支付未提货数量")
    private Integer payNoTakeSalesNum = 0;

    @ApiModelProperty("辅材销售订单已支付已提货数量")
    private Integer paytakeSalesNum = 0;

    @ApiModelProperty("辅材销售订单已取消数量")
    private Integer cancelSalesNum = 0;



    @ApiModelProperty("辅材退货订单保存数量")
    private Integer saveSalesRetNum = 0;

    @ApiModelProperty("辅材退货订单提交数量")
    private Integer submitSalesRetNum = 0;

    @ApiModelProperty("辅材退货订单审批通过数量")
    private Integer okSalesRetNum = 0;

    @ApiModelProperty("辅材退货订单待待审批数量")
    private Integer waitSalesRetNum = 0;



    @ApiModelProperty("结算管理电子支付待结算")
    private Integer settlementOrderWait = 0;

    @ApiModelProperty("结算管理电子支付已完成")
    private Integer settlementOrderOk = 0;

    @ApiModelProperty("结算管理电子支付异常结算")
    private Integer settlementOrderYc = 0;

    @ApiModelProperty("结算管理电子支付线下结算")
    private Integer settlementOrderLine = 0;


}
