package com.gree.mall.manager.bean.coupon;

import com.gree.mall.manager.plus.entity.Coupon;
import com.gree.mall.manager.plus.entity.CouponGoods;
import com.gree.mall.manager.plus.entity.CouponTag;
import com.gree.mall.manager.plus.entity.CouponUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class CouponDetailBean extends Coupon {
    @ApiModelProperty( value = "商品列表")
    private List<CouponGoods> goodsList;

    @ApiModelProperty( value = "待发券标签列表")
    private List<CouponTagBean> tagList;

    @ApiModelProperty( value = "待发券用户列表")
    private List<CouponUserBean> userList;
}
