package com.gree.mall.manager.bean.es;

import com.gree.mall.manager.plus.entity.EsGoods;
import com.gree.mall.manager.plus.entity.EsGoodsImg;
import com.gree.mall.manager.plus.entity.EsGoodsOperateRecord;
import com.gree.mall.manager.plus.entity.EsOrderInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class ESGoodsBean extends EsGoods {

    @ApiModelProperty(value = "图片列表")
    private List<EsGoodsImg> imgList;

    @ApiModelProperty(value = "留言列表")
    private List<EsGoodsMessageVO> messageList;

    @ApiModelProperty(value = "操作记录列表")
    private List<EsGoodsOperateRecord> operateRecordList;

    @ApiModelProperty(value = "订单")
    private EsOrderInfo esOrderInfo;
}
