package com.gree.mall.manager.bean.goods;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.plus.entity.GoodsMaterial;
import com.gree.mall.manager.plus.entity.GoodsMaterialItem;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class GoodsMaterialItemSendVO extends GoodsMaterial {
    @TableId(value = "id", type = IdType.ID_WORKER_STR)
    private String itemId;

    @ApiModelProperty(value = "商品物料id")
    private String goodsMaterialId;

    @ApiModelProperty(value = "物料类型 INSIDE=内机 OUT=外机 PARTS=配件")
    private String type;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "是否一物一码 YES=是 NO=否")
    private String uniqueCode;

    @ApiModelProperty(value = "数量")
    private Integer qty;

    @ApiModelProperty(value = "单位")
    private String itemUnit;


}
