package com.gree.mall.manager.bean.listvo;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.ExamineStatusEnum;
import com.gree.mall.manager.enums.IsEnum;
import com.gree.mall.manager.enums.UserTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ZfireField(tbName = "a")
@ApiModel
@Data
public class User2VO {

    @ZfireField(hide = true)
    private String userId;

//    @ZfireField(hide = true)
//    private String companyWechatId;
//
//    @ApiModelProperty("商户名称")
//    private String companyName;

    @ApiModelProperty("用户昵称")
    private String nickName;

    @ApiModelProperty("联系电话")
    private String mobile;

    @ApiModelProperty("身份证")
    private String idCard;

    @ApiModelProperty("身份证图片")
    private String idCardImg;

    @ApiModelProperty("用户类型")
    private UserTypeEnum type;

    @ApiModelProperty("内部分销员")
    private IsEnum innerr;

    @ApiModelProperty("审核状态")
    private ExamineStatusEnum examineStatus;

    @ApiModelProperty("审批人")
    private String examineBy;

    @ApiModelProperty("审批时间")
    private Date examineTime;

    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("修改人")
    private String updateBy;
    @ApiModelProperty("修改时间")
    private Date updateTime;
}
