package com.gree.mall.manager.bean.listvo.material;

import com.gree.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 网点辅材库存
 */
@ZfireField(tbName = "a")
@ApiModel
@Data
public class WebsitStockVO {

//    @ZfireField(hide = true)
//    @ApiModelProperty("所属商户id")
//    private String companyWechatId;
//    @ApiModelProperty("所属商户")
//    private String companyWechatName;
    @ZfireField(hide = true)
    private String websitId;
    @ApiModelProperty("网点名称")
    private String websitName;
    @ZfireField(tbName = "b")
    @ApiModelProperty("辅材编号")
    private String goodsId;
    @ZfireField(tbName = "c")
    @ApiModelProperty("辅材大类")
    private String categoryName;
    @ZfireField(tbName = "d",ignoreSelect = true,colName = "category_name")
    @ApiModelProperty("辅材小类")
    private String categoryName2;
    @ZfireField(tbName = "b")
    @ApiModelProperty("辅材名称")
    private String goodsName;
    @ZfireField(tbName = "b")
    @ApiModelProperty("单位")
    private String goodsStockUnit;
    @ZfireField(tbName = "b")
    @ApiModelProperty("辅材代码")
    private String goodsCode;
    @ZfireField(tbName = "b")
    @ApiModelProperty("规格型号")
    private String goodsSpecification;
    @ApiModelProperty("最近采购价格")
    private BigDecimal lastCost;
    @ApiModelProperty("库存数量")
    private BigDecimal qty;
    @ApiModelProperty("更新时间")
    private Date updateTime;
    @ZfireField(tbName = "e")
    @ApiModelProperty("仓库")
    private String storageName;

}
