package com.gree.mall.manager.bean.material.base;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class WorkerGoodsRelaExportBean {
    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @ApiModelProperty(value = "小类名称")
    private String goodsCategoryName;

    @ApiModelProperty(value = "师傅辅材编号")
    private String goodsId;

    @ApiModelProperty(value = "师傅辅材名称")
    private String goodsName;

    @ApiModelProperty(value = "是否小件")
    private Boolean isSmall;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "网点辅材小类")
    private String websitCategoryName;

    @ApiModelProperty(value = "网点辅材编号")
    private String websitGoodsId;

    @ApiModelProperty(value = "网点辅材名称")
    private String websitGoodsName;

    @ApiModelProperty(value = "规格")
    private String specification;

    @ApiModelProperty(value = "转换系数")
    private String goodsSalesConvertQty;

    @ApiModelProperty(value = "是否入师傅库存")
    private String manageWorkerStock;

    @ApiModelProperty(value = "网点辅材状态")
    private String websitGoodsStatus;
}
