package com.gree.mall.manager.bean.material.manage;

import com.gree.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WebsitPartsCreditVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "师傅编号")
    private String workerId;

    @ApiModelProperty(value = "师傅姓名")
    private String workerName;

    @ApiModelProperty(value = "师傅身份证")
    private String identity;

    @ApiModelProperty(value = "师傅联系电话")
    private String mobile;

    @ApiModelProperty(value = "记账总金额")
    private BigDecimal total;

    @ApiModelProperty(value = "已付款金额")
    private BigDecimal recTotal;

    @ApiModelProperty(value = "未付款金额")
    private BigDecimal creditTotal;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
