package com.gree.mall.manager.bean.material.manage;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.material.MaterialFlagEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WebsitPriceUpdVO {

    @ApiModelProperty(value = "单号")
    private String sheetId;

    @ZfireField(isQuery = false)
    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

//    @ZfireField(tbName = "b")
//    @ApiModelProperty(value = "商品编号")
//    private String goodsId;
//
//    @ZfireField(tbName = "b")
//    @ApiModelProperty(value = "商品名称")
//    private String goodsName;
//
//    @ZfireField(tbName = "b")
//    @ApiModelProperty(value = "网点原售价")
//    private BigDecimal oldPrice;
//
//    @ZfireField(tbName = "b")
//    @ApiModelProperty(value = "网点新售价")
//    private BigDecimal newPrice;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "审核人")
    private String confirmBy;

    @ApiModelProperty(value = "审核时间")
    private Date confirmTime;

    @ApiModelProperty(value = "单据状态")
    private MaterialFlagEnum flag;

    @ApiModelProperty(value = "备注")
    private String remark;
}
