package com.gree.mall.manager.bean.material.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel
@Data
public class MaterialSalesSumBean {

    @ApiModelProperty(value = "网点编号")
    private String websitId;
    @ApiModelProperty(value = "网点名称")
    private String websitName;
    @ApiModelProperty(value = "工程师手机号")
    private String workerMobile;
    @ApiModelProperty(value = "工程师编号")
    private String workerId;
    @ApiModelProperty(value = "工程师名称")
    private String workerName;
    @ApiModelProperty(value = "安装台数")
    private int qty;
    @ApiModelProperty(value = "排除台数")
    private int rejectQty;
    @ApiModelProperty(value = "实装台数")
    private int realQty;
    @ApiModelProperty(value = "总销售金额")
    private BigDecimal totalSaleValue;
    @ApiModelProperty(value = "现金支付次数")
    private int cash;
    @ApiModelProperty(value = "通联支付次数")
    private int allinpay;
    @ApiModelProperty(value = "现金销售金额")
    private BigDecimal cashSaleValue;
    @ApiModelProperty(value = "通联销售金额")
    private BigDecimal allinpaySaleValue;
    @ApiModelProperty(value = "退货金额")
    private BigDecimal retValue;
}
