package com.gree.mall.manager.bean.material.worker;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class SalesItemRecordDTO {

    @ApiModelProperty("明细id")
    private String itemId;

    @ApiModelProperty("申请单号")
    private String applyNo;

    @ApiModelProperty("配件编码")
    private String partsNumber;

    @ApiModelProperty("配件名称")
    private String partsName;

    @ApiModelProperty("数量")
    private BigDecimal qty;

    @ApiModelProperty("销售单id")
    private String salesId;

    @ApiModelProperty("维修标识 INNER=保内 OUTSIDE=保外")
    private String repairFlag;

    @ApiModelProperty("工单编号")
    private String workOrderNo;

    @ApiModelProperty("总部工单派工id")
    private String pgId;

    @ApiModelProperty("用户名称")
    private String customerName;

    @ApiModelProperty("用户电话")
    private String customerTel;

    @ApiModelProperty("是否备用件 false=否 true=是")
    private Boolean isBackup;


}
