package com.gree.mall.manager.bean.notice;


import com.gree.mall.manager.plus.entity.CommonFile;
import com.gree.mall.manager.plus.entity.Notice;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;


@Data
public class NoticeBean extends Notice {

    @ApiModelProperty(value = "商户ids")
    private List<String> adminWebsitIds;

    @ApiModelProperty(value = "师傅ids")
    private List<String> workerIds;
    @ApiModelProperty(value = "附件keys")
    private List<CommonFile> files;

}
