package com.gree.mall.manager.bean.order.refund;

import com.gree.mall.manager.bean.order.OrderOldProductDTO;
import com.gree.mall.manager.plus.entity.OrderInfo;
import com.gree.mall.manager.plus.entity.OrderOfflineItemCode;
import com.gree.mall.manager.plus.entity.OrderOfflineRefund;
import com.gree.mall.manager.plus.entity.OrderOfflineRefundItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 销售退货单详情
 * @author ：lijh
 * @description：TODO
 * @date ：2024/4/16 14:33
 */
@ApiModel
@Data
public class OrderOfflineRefundDetailBean extends OrderOfflineRefund {


    @ApiModelProperty("订单信息")
    private OrderInfo orderInfo;

    @ApiModelProperty("商品信息")
    private List<OrderOfflineRefundItemBean> orderOfflineRefundItems;
    @ApiModelProperty("条码信息")
    private List<OrderOfflineItemCode> orderOfflineItemCodes;

    @ApiModelProperty("回收信息明细")
    private List<OrderOldProductDTO> orderOldProductDTOList;

}
