package com.gree.mall.manager.bean.order.refund;

import com.gree.mall.manager.plus.entity.OrderOfflineRefundItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


/**
 * @author ：lijh
 * @description：TODO
 * @date ：2024/4/18 16:10
 */
@ApiModel
@Data
public class OrderOfflineRefundItemBean extends OrderOfflineRefundItem {

    @ApiModelProperty("大类")
    private String mainName;
    @ApiModelProperty("小类")
    private String smallName;
    @ApiModelProperty("商品名称")
    private String goodsName;
    @ApiModelProperty("规格型号")
    private String goodsSpecName;
    @ApiModelProperty("单位")
    private String goodsMaterialUnit;

    @ApiModelProperty("数量")
    private Integer num;
    @ApiModelProperty("单价")
    private BigDecimal price;
    @ApiModelProperty("订单金额")
    private BigDecimal payAmount;

    @ApiModelProperty("已退数量")
    private Integer retiredNum;
    @ApiModelProperty("已退金额")
    private BigDecimal retiredAmount;

}
