package com.gree.mall.manager.bean.policy;

import com.gree.mall.manager.plus.entity.Agreement;
import com.gree.mall.manager.plus.entity.AgreementPolicy;
import com.gree.mall.manager.plus.entity.Policy;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class AgreementDetail extends Agreement {

    @ApiModelProperty(value = "绑定政策内容")
    private List<Policy> policy;

    @ApiModelProperty(value = "绑定政策")
    private List<AgreementPolicy> agreementPolicies;
}
