package com.gree.mall.manager.bean.policy;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.plus.entity.ItfGreeSynDownloadRec;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel
@Data
public class ItfGreeSynDownloadRecBean   {


    @ApiModelProperty(value = "同步任务号")
    @TableId(value = "syn_req_id", type = IdType.AUTO)
    private Long synReqId;

    @ApiModelProperty(value = "同步任务生成时间")
    private Date synReqTime;

    @ApiModelProperty(value = "总部同步标志是否已成功更新 0=否 1=是 99=其他")
    private Integer greeStatSynStatus;

    @ApiModelProperty(value = "下载时间")
    private Date greeStatSynTime;

    @ApiModelProperty(value = "同步错误信息")
    private String greeStatSynErrMsg;

    @ApiModelProperty(value = "销售公司编号")
    private String salesWebsitNumber;

    @ApiModelProperty(value = "下载批次号")
    private String downloadBatchNo;

    @ApiModelProperty(value = "任务号")
    private String downloadTaskNo;

    @ApiModelProperty(value = "工单id.")
    private String workOrderId;

    @ApiModelProperty(value = "总部工单更新时间")
    private String updatedTimestamp;

    @ApiModelProperty(value = "总部返回字段")
    @TableField("orderNode")
    private String orderNode;

    @ApiModelProperty(value = "总部返回字段")
    @TableField("regionOutletsNo")
    private String regionOutletsNo;

    @ApiModelProperty(value = "总部返回字段")
    @TableField("regionOutletsName")
    private String regionOutletsName;

}
