package com.gree.mall.manager.bean.settle;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel
public class DataBoardBean {

    @ApiModelProperty(value = "待汇总数量")
    Integer waitGatherCount = 0;

    @ApiModelProperty(value = "待汇总金额")
    BigDecimal waitGatherAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "待发放人数")
    Integer waitSendByCount = 0;

    @ApiModelProperty(value = "待发放金额")
    BigDecimal waitSendAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "待汇总安装费用-家用空调数量")
    Integer waitGatherInstallHomeCount = 0;

    @ApiModelProperty(value = "待汇总安装费用-家用空调金额")
    BigDecimal waitGatherInstallHomeAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "待发放安装费用-家用空调人数")
    Integer waitSendByInstallHomeCount = 0;

    @ApiModelProperty(value = "待发放安装费用-家用空调金额")
    BigDecimal waitSendInstallHomeAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "待汇总安装费用-非空调数量")
    Integer waitGatherInstallCount = 0;

    @ApiModelProperty(value = "待汇总安装费用-非空调金额")
    BigDecimal waitGatherInstallAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "待发放安装费用-非空调人数")
    Integer waitSendByInstallCount = 0;

    @ApiModelProperty(value = "待发放安装费用-非空调金额")
    BigDecimal waitSendInstallAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "待汇总维修费用数量")
    Integer waitGatherRepairCount = 0;

    @ApiModelProperty(value = "待汇总维修费用金额")
    BigDecimal waitGatherRepairAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "待发放维修费用人数")
    Integer waitSendByRepairCount = 0;

    @ApiModelProperty(value = "待发放维修费用金额")
    BigDecimal waitSendRepairAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "待汇总其它费用数量")
    Integer waitGatherOtherCount = 0;

    @ApiModelProperty(value = "待汇总其它费用金额")
    BigDecimal waitGatherOtherAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "待发放其它费用人数")
    Integer waitSendByOtherCount = 0;

    @ApiModelProperty(value = "待发放其它费用金额")
    BigDecimal waitSendOtherAmount = BigDecimal.ZERO;
}
