package com.gree.mall.manager.bean.settle;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@ApiModel
public class MonthGatherBean {

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "汇总id")
    private List<String> ids;

    @ApiModelProperty(value = "月度工资汇总id（师傅批量发放时填充）")
    private String settleMonthWagesId;

    @ApiModelProperty(value = "发放日期")
    private Date sendDate;

    @ApiModelProperty(value = "发放凭证")
    private String fileUrl;

    @ApiModelProperty(value = "备注")
    private String remark;
}
