package com.gree.mall.manager.bean.settle;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel
public class MonthSendItemBean {

    @ApiModelProperty(value = "年月")
    String yearMonth;

    @ApiModelProperty(value = "已发放人数")
    Integer endSendByCount = 0;

    @ApiModelProperty(value = "已发放金额")
    BigDecimal endSendAmount = BigDecimal.ZERO;

}
