package com.gree.mall.manager.bean.settle.repair;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel
@Data
public class DailyTotalCostBean {

    @ApiModelProperty(value = "维修工Id")
    private String workerNumber;
    @ApiModelProperty(value = "维修工姓名")
    private String repairWorkerName;
    @ApiModelProperty(value = "日结总费用")
    private BigDecimal totalFee;
    @ApiModelProperty(value = "结算单位")
    private String summaryName;
    @ApiModelProperty(value = "结算单位编号")
    private String summaryNumber;
    @ApiModelProperty(value = "网点单位")
    private String websitNumber;
    @ApiModelProperty(value = "网点编号")
    private String websitName;
    @ApiModelProperty(value="该单工单数量")
    private Integer repairCount;
    @ApiModelProperty(value="身份证")
    private String idCard;
    @ApiModelProperty(value="手机号")
    private String mobile;
    @ApiModelProperty(value="商户名称")
    private String companyWechatName;
    @ApiModelProperty(value="商户id")
    private String companyWechatId;

}
