package com.gree.mall.manager.bean.settle.repair;

import com.gree.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class DailyWithholdVO {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "暂扣费用id")
    private String id;

//    @ApiModelProperty(value = "所属商户")
//    private String companyWechatName;

    @ApiModelProperty(value = "费用名称")
    private String name;

    @ApiModelProperty(value = "扣除金额")
    private BigDecimal amount;

    @ApiModelProperty(value = "扣除比例")
    private BigDecimal rate;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建人")
    private Date createTime;

    @ApiModelProperty(value = "创建时间")
    private String createBy;

    @ApiModelProperty(value = "修改人")
    private Date updateTime;

    @ApiModelProperty(value = "修改时间")
    private String updateBy;
}
