package com.gree.mall.manager.bean.settle.repair;

import com.gree.mall.manager.plus.entity.SettleDailyIssueSummaryRecord;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@ApiModel
@Data
public class DailyWorkerBankCardBean extends SettleDailyIssueSummaryRecord {
    @ApiModelProperty(value = "银行卡号")
    private String bankAccount;

    @ApiModelProperty(value = "户名")
    private String bankAccountName;

    @ApiModelProperty(value = "开户行")
    private String depositBank;

    @ApiModelProperty(value = "开户行机构ID")
    private String depositBankOrgId;

    @ApiModelProperty(value = "开户行地址")
    private String bankAddr;
}
