package com.gree.mall.manager.bean.settle.repair;

import com.gree.mall.manager.plus.entity.SettleDailyImportSummaryItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@EqualsAndHashCode(callSuper = true)
@ApiModel
@Data
public class DailyWorkerIssueSalaryBean extends SettleDailyImportSummaryItem {

    @ApiModelProperty(value = "银行卡号")
    private String bankAccount;

    @ApiModelProperty(value = "户名")
    private String bankAccountName;

    @ApiModelProperty(value = "开户行")
    private String depositBank;

    @ApiModelProperty(value = "发放状态 1.待发放 2.已发放")
    private Integer issueStatus;

    @ApiModelProperty(value = "发放时间")
    private String issueTime;

    @ApiModelProperty(value = "发放人")
    private String issueBy;

    @ApiModelProperty(value = "是否扣减 1是 2否")
    private Integer reduceStatus;

    @ApiModelProperty(value = "结算时间 reduceStatus=1取")
    private Date reduceTime;

    @ApiModelProperty(value = "1.已发放 2.未发放 3.暂不结算 4.已扣回")
    private String tStatus;

}
