package com.gree.mall.manager.bean.settle.repair.cmc;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel
@Data
public class PayItem {

    @ApiModelProperty(value = "交易总金额")
    private String ttlamt;

    @ApiModelProperty(value = "交易总笔数")
    private String ttlcnt;

    @ApiModelProperty(value = "本次金额")
    private String curamt;

    @ApiModelProperty(value = "本次笔数")
    private String curcnt;

    @ApiModelProperty(value = "代发协议号")
    private String cnvnbr;


    @ApiModelProperty(value = "代发类型")
    private String agctyp;

    @ApiModelProperty(value = "币种")
    private String ccynbr;

    @ApiModelProperty(value = "分行号")
    private String bbknbr;

    @ApiModelProperty(value = "账号")
    private String accnbr;

    @ApiModelProperty(value = "授权账号")
    private String autacc;

    @ApiModelProperty(value = "业务参考号")
    private String yurref;

    @ApiModelProperty(value = "期望日期 yyyymmdd")
    private String eptdat;

    @ApiModelProperty(value = "期望时间 000000")
    private String epttim;

    @ApiModelProperty(value = "交易摘要")
    private String trsrmk;


//    @ApiModelProperty(value = "结算通道 Y 超网 N 大小额")
//    private String chlflg;




}
