package com.gree.mall.manager.bean.settle.repair.cmc;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel
@Data
public class ReceivedItem {

    @ApiModelProperty(value = "交易序号")
    private String trsseq;

    @ApiModelProperty(value = "收方账号")
    private String objacc;

    @ApiModelProperty(value = "收方户名")
    private String objacn;

    @ApiModelProperty(value = "交易金额")
    private String trsamt;

    @ApiModelProperty(value = "系统内标志 Y 行内，N 行外")
    private String sysflg;

    @ApiModelProperty(value = "他行户口开户行")
    private String accbnk;

    @ApiModelProperty(value = "他行户口开户地")
    private String acccty;

    public ReceivedItem(String trsseq, String objacc, String objacn, String trsamt, String sysflg, String accbnk, String acccty) {
        this.trsseq = trsseq;
        this.objacc = objacc;
        this.objacn = objacn;
        this.trsamt = trsamt;
        this.sysflg = sysflg;
        this.accbnk = accbnk;
        this.acccty = acccty;
    }
}
