package com.gree.mall.manager.bean.tax;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel
@Data
public class TaxPayerInfo {

    @ApiModelProperty("发票请求唯一流水号")
    private String fpqqlsh;
    @ApiModelProperty(value = "开票项目名称",required = true)
    private String kpxm;
    @ApiModelProperty(value = "销货方纳税人识别号",required = true)
    private String xhf_nsrsbh;
    @ApiModelProperty(value = "销货方名称",required = false)
    private String xhfmc;
    @ApiModelProperty(value = "销货方地址电话",required = false)
    private String xhf_dzdh;
    @ApiModelProperty("销货方银行账号")
    private String xhf_yhzh;
    @ApiModelProperty(value = "购货方名称",required = true)
    private String ghfmc;
    @ApiModelProperty(value = "购货方纳税人识别号",required = true)
    private String ghf_nsrsbh;
    @ApiModelProperty("购货方银行账号")
    private String ghf_yhzh;
    @ApiModelProperty("购货方地址电话")
    private String ghf_dzdh;
    @ApiModelProperty("购货方企业类型")
    private String ghfqylx;
    @ApiModelProperty(value = "购货方手机（发票交付手机号）")
    private String ghf_sj;
    @ApiModelProperty(value = "购货方邮箱（发票交付邮箱）")
    private String ghf_email;
    @ApiModelProperty("交付标志 1:发邮箱  2:发手机  3:邮箱和手机")
    private String billSentSign;
    @ApiModelProperty("pdf生成回调地址")
    private String callBackUrl;
    @ApiModelProperty("代开标志 0：自开  1：代开")
    private String dkbz;
    //    @ApiModelProperty("分机号")
//    private String fjh;
//    @ApiModelProperty(value = "开票员",required = true)
//    private String kpy;
//    @ApiModelProperty("收款人")
//    private String sky;
    @ApiModelProperty(value = "开票类型 1=蓝票 2=红票 10=特殊冲红",required = true)
    private String kplx;
    @ApiModelProperty("原发票代码(开红票时必填)")
    private String yfp_dm;
    @ApiModelProperty("原发票号码(开红票时必填)")
    private String yfp_hm;
    @ApiModelProperty(value = "清单标志(0:普通电子发票 1:普通电子发票(清单) 2:收购电子发票 3:收购电子发票(清单) 4:成品油电子发票(成品油无清单)  备注：1、3 清单是指;0、2 如果超出 8 行自动打印清单,4 成品油，则商品明细行不能有其他商品，一个商品是成品油，另一个不是成品油，开不出来票。并且成品油的发票的商品行中，单价、数量、单位必填，其中单位为升或者吨",required = true)
    private String qd_bz;
    @ApiModelProperty("清单项目名称,清单标志为 1 时必填")
    private String qdxmmc;
    @ApiModelProperty(value = "价税合计金额,小数点后2位，以元为单位精确到分",required = false)
    private Double kphjje;
    @ApiModelProperty(value = "合计不含税金额,小数点后2位，以元为单位精确到分",required = false)
    private Double hjbhsje;
    @ApiModelProperty(value = "合计税额,小数点后2位，以元为单位精确到分",required = false)
    private Double hjse;
    @ApiModelProperty("备注(开红票时，必须在备注中注明“对应正数发票代码:XXXXXXXXX 号码:YYYYYYYY”字样，其中“X”为 发票代码，“Y”为发票号)")
    private String bz;

    @ApiModelProperty(value = "开票员",required = false)
    private String kpy;
    @ApiModelProperty("收款人")
    private String sky;
    @ApiModelProperty("复核人")
    private String fhr;


}

