package com.gree.mall.manager.bean.tax;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
@Data
public class TaxTitleItem {

    @ApiModelProperty(value = "")
    private String success;

    @ApiModelProperty(value = "")
    private String requestId;

    @ApiModelProperty(value = "")
    private String method;

    @ApiModelProperty(value = "")
    private String code;

    @ApiModelProperty(value = "")
    private String message;

    @ApiModelProperty(value = "地址电话")
    private String addressAndPhone;

    @ApiModelProperty(value = "银行账号")
    private String bankAndAccount;

    @ApiModelProperty(value = "开户行")
    private String bank;

    @ApiModelProperty(value = "账号")
    private String bankAccount;

    @ApiModelProperty(value = "城市")
    private String city;

    @ApiModelProperty(value = "区")
    private String county;

    @ApiModelProperty(value = "更新电话")
    private String fixedPhone;

    @ApiModelProperty(value = "所在位置")
    private String location;

    @ApiModelProperty(value = "")
    private Integer frequency;

    @ApiModelProperty(value = "电话")
    private String mobilePhone;

    @ApiModelProperty(value = "公司名")
    private String name;

    @ApiModelProperty(value = "省")
    private String province;

    @ApiModelProperty(value = "评分")
    private String score;

    @ApiModelProperty(value = "税号")
    private String taxId;

    @ApiModelProperty(value = "公司index")
    private Integer companyIndex;




}
