package com.gree.mall.manager.bean.template;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@ApiModel(value="TemplateBean", description="公共商品修改信息")
public class TemplateBean {
    @ApiModelProperty(value = "公共模板id,新增时不用传")
    private String commonTemplateId;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "模板名称")
    private String name;

    @ApiModelProperty(value = "商品id列表")
    private List<String> goodsIds;

    @ApiModelProperty("水印")
    private String logo;
    @ApiModelProperty("水印开始时间")
    private String logoStartTime;
    @ApiModelProperty("水印结束时间")
    private String logoEndTime;
    @ApiModelProperty("1=说明管理 2=水印管理")
    private Integer type;


}
