package com.gree.mall.manager.bean.user;

import com.gree.mall.manager.plus.entity.WorkerImg;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@ApiModel
@Data
public class UserApplyWorkerBean {

    private String id;
    @ApiModelProperty("用户id")
    private String userId;
    @ApiModelProperty("用户昵称")
    private String nickName;
    @ApiModelProperty("师傅编号")
    private String workerNumber;
    @ApiModelProperty("联系电话")
    private String mobile;
    @ApiModelProperty("身份证号")
    private String idCard;
    @ApiModelProperty("身份证图片")
    private String idCardImg;
    @ApiModelProperty("所属商户")
    private String companyName;
    @ApiModelProperty("网点id")
    private String websitId;
    @ApiModelProperty("入驻网点")
    private String websitName;
    @ApiModelProperty("审核备注")
    private String examineRemark;
    @ApiModelProperty("审核时间")
    private Date examineTime;
    @ApiModelProperty("审核人")
    private String examineBy;
    @ApiModelProperty("审核状态 OK=通过 FAIL=驳回 WAIT=待审核")
    private String examineStatus;

    @ApiModelProperty("银行卡")
    private String bankAccount;

    @ApiModelProperty("其他入驻图片")
    private List<WorkerImg> workerImgList;

    @ApiModelProperty("是否允许二手发布")
    private Boolean isEs;

}
