package com.gree.mall.manager.bean.user;

import com.gree.mall.manager.plus.entity.User;
import com.gree.mall.manager.plus.entity.WorkerImg;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@ApiModel
@Data
public class UserWxBean extends User {

    @ApiModelProperty("收益总额")
    private BigDecimal totalAmount = new BigDecimal(0);
    @ApiModelProperty("客户数量")
    private Integer customerNums = 0;
    @ApiModelProperty("绑定的业务员电话")
    private String servicePhone;
    @ApiModelProperty("绑定的业务员名称")
    private String serviceName;
    @ApiModelProperty("业务员自己真实名称")
    private String workerName;
    @ApiModelProperty("业务员自己电话")
    private String workerPhone;


    @ApiModelProperty("图片")
    private List<WorkerImg> workerImgList;

}
