package com.gree.mall.manager.bean.websit;

import com.gree.mall.manager.enums.GrantTypeEnum;
import com.gree.mall.manager.enums.WithdrawalTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class WithdrawalOrderVO   {


    @ApiModelProperty(value = "提现单号")
    private String id;

    @ApiModelProperty(value = "发放状态")
    private GrantTypeEnum status;

//    @ZfireField(hide = true)
//    @ApiModelProperty(value = "商户id")
//    private String companyWechatId;
//
//    @ApiModelProperty(value = "商户名称")
//    private String companyWechatName;

    @ApiModelProperty(value = "师傅编号")
    private String workerId;

    @ApiModelProperty(value = "师傅名称")
    private String workerName;

    @ApiModelProperty(value = "师傅联系电话")
    private String workerMobile;

    @ApiModelProperty(value = "提现类型")
    private WithdrawalTypeEnum type;

    @ApiModelProperty(value = "提现金额")
    private BigDecimal amount;

    @ApiModelProperty(value = "账户类型")
    private String accountType;

    @ApiModelProperty(value = "银行卡id")
    private String bankId;

    @ApiModelProperty(value = "开户行")
    private String bank;

    @ApiModelProperty(value = "银行卡号")
    private String bankNo;

    @ApiModelProperty(value = "持卡人名称")
    private String bankUserName;

    @ApiModelProperty(value = "身份证号")
    private String idcard;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "发放人")
    private String grantBy;

    @ApiModelProperty(value = "发放时间")
    private Date grantTime;

    @ApiModelProperty(value = "转账凭证")
    private String certImg;
}
