package com.gree.mall.manager.bean.workorder;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel
public class OrderSettleDetailBean {

    @ApiModelProperty(value = "工单id")
    private String id;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "工程师")
    private String workerName;

    @ApiModelProperty(value = "联系电话")
    private String mobile;

    @ApiModelProperty(value = "身份证")
    private String idcard;

    @ApiModelProperty(value = "所属业务线 INSTALL=安装 REPAIR=维修")
    private String orderType;

    @ApiModelProperty(value = "工单类型")
    private String orderSmallType;

    @ApiModelProperty(value = "工单状态 DYY=待预约 DSHPG=待商户派工 DWDPG=待网点派工 DJD=待接单 FWZ=服务中 YCD=异常单 YWG=已完工待结算 YJS=已结算 YQX=已取消")
    private String settleStatus;

    @ApiModelProperty(value = "费用结算")
    private List<OrderSettleNormBean> normList;

    @ApiModelProperty(value = "其他费用结算")
    private List<OrderSettleNormBean> otherNormList;

}
