package com.gree.mall.manager.bean.workorder;

import com.gree.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel
public class WebsitDispatchRe {


    @ApiModelProperty(value = "省id")
    private String provinceCode;

    @ApiModelProperty(value = "城市id")
    private String cityCode;

    @ApiModelProperty(value = "区域id")
    private String areaCode;

    @ApiModelProperty(value = "街道id")
    private String streetCode;

    @ApiModelProperty(value = "工单渠道id")
    private List<String> dictCode;

    @ApiModelProperty(value = "工单类型id")
    private List<String> orderSmallId;

    @ApiModelProperty(value = "产品大类id")
    private List<String> categoryId;

    @ApiModelProperty(value = "工单来源id")
    private List<String> orderSourceId;
}
