package com.gree.mall.manager.commonmapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.gree.mall.manager.bean.member.MemberBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CustomMemberMapper {
    @InterceptorIgnore(tenantLine = "1", blockAttack = "1", illegalSql = "1")
    List<MemberBean> queryUser(@Param("type")String type, @Param("keyword")String keyword,
                               @Param("websitNos")List<String> websitNos, @Param("startTime")String startTime,
                               @Param("endTime")String endTime, @Param("companyWechatIds")List<String> companyWechatIds);
}
