package com.gree.mall.manager.commonmapper.workorder;

import com.gree.mall.manager.bean.workorder.WorkerOrderSyncBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.mapping.StatementType;

@Mapper
public interface SyncMapper {


    @Select({ "call TL_SynDataFrom_tbl_work_order_package("
            + "#{inDownloadBatchNo,mode=IN,jdbcType=VARCHAR},"
            + "#{inSynReqId,mode=IN,jdbcType=VARCHAR},"
            + "#{inWorkOrderId,mode=IN,jdbcType=VARCHAR},"
            + "#{outSynStatus,mode=OUT,jdbcType=BOOLEAN},"
            + "#{outSynErrMsg,mode=OUT,jdbcType=VARCHAR})"
    })
    @Options(statementType = StatementType.CALLABLE)
    WorkerOrderSyncBean orderExecute(WorkerOrderSyncBean workerOrderSyncBean);
}
