package com.gree.mall.manager.config;

import com.gree.mall.manager.utils.fadada.Auth4FDDUtil;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

@Component
public class FDDStartRunConfig {


    @Value("${fadada.app.id}")
    private String fddAppid;
    @Value("${fadada.app.secret}")
    private String fddAppSecret;
    @Value("${fadada.app.v}")
    private String fddAppVersion;
    @Value("${fadada.app.host}")
    private String fddAppHost;


    @PostConstruct
    public void initFDDVal() {
        Auth4FDDUtil.setMainValue(fddAppid, fddAppSecret, fddAppVersion, fddAppHost);
    }
}
