package com.gree.mall.manager.constant;

import java.util.Arrays;
import java.util.List;

public class Constant {

    //校验的token
    public static final String TOKEN_NAME = "x-token";
    //广州格力售后服务(对接工单系统的企业微信)
    public static final String GD_COMPANY_WECHAT_ID = "1";

    //会话存档大小
    public static final String HHCD_FILE_SIZE = "5000000";

    //维修日结-待扣临时前缀
    public final static String DAILY_PREFIX = "DAILY_TMP_";

    //短信验证码过期时间
    public static final Integer SMS_EXPIRE = 10 * 60;

    public final static Integer PAGE_SIZE = 100000;

    // 辅材编号前缀
    public final static String FC = "FC";

    public final static List<String> INIT_INCR_LIST = Arrays.asList("WEBSIT_ID");

    public final static String COMPANY_PAY_CONFIG_1 = "电子支付";

    public final static String COMPANY_PAY_CONFIG_2 = "保险支付";

    public class gree {
        public final static String GET_UPDATE_ORDERS = "/api/external/gf/workOrder/getUpdatedOrders";
        public final static String POST_WORKER_ORDER_DETAIL = "/api/external/gf/workOrder/getWorkOrderDetail";
        public final static String GUANGZHOUXIAOSI = "S9219801";
        public final static String FOSHANXIAOSI = "S9219807";
    }

    public class Ali {
        public final static String ACCESS_KEY_ID = "LTAI4GK1q4mnpCFbonMd1pji";
        public final static String ACCESS_KEY_SECERT = "E5LW0V1H8HBxqjKkExIxaXUgSyex6C";
    }

    public class Img {
        //订单售后 退款凭证
        public final static String ORDER_REFUND_TKPZ = "order_refund_tkpz";
        //订单售后 退货物流凭证
        public final static String ORDER_REFUND_WLPZ = "order_refund_wlpz";
        //商品轮播图
        public final static String GOODS_IMG = "goods_img_cm";
        //评价图片
        public final static String ORDER_COMMENT = "order_comment";
        //营销素材内容文件
        public final static String MARKETING_CONTENT_FILE = "marketing_content_file";
        //营销素材封面图
        public final static String MARKETING_SHOW_IMAGE = "marketing_show_image";
    }

    public class RedisPrefix {
        public final static String LOCK_LOGIN = "jsm:sxb:login:";
        public final static String TOKEN_UNICOME_YUNH = "jsm:sxb:UNICOME:";
        public final static String TOKEN_UNICOME_YUNH_PRD = "jsm:sxb:UNICOME:PRD";
        public final static String WORK_MINI_ACCESS_TOKEN = "jsm:sxb:work:mini:access:token";
        public final static String TOKEN_WX = "jsm:sxb:token:wx";
        public final static String TOKEN_MP_WX = "mp:token:wx";
        public final static String TOKEN_TAX = "jsm:sxb:token:tax";
        public final static String TOKEN_GONGDAN = "jsm:sxb:token:gongdan";
        public final static String LOCK_ORDER = "jsm:sxb:lock:order";
        public final static String LOCK_ORDER_STOCK = "jsm:sxb:lock:stock";
        public final static String LOCK_WX_SYNC = "jsm:sxb:lock:wx:sync";
        public final static String LOCK_SOP_SYNC = "jsm:sxb:lock:sop";
        public final static String CHAT_MESSAGE_SEQ_KEY = "CHAT_MESSAGE_SEQ";
        public final static String LOCK_EXCHANGE_CODE = "jsm:sxb:lock:exchangecode";
        public final static String PARTS_BASE_MANAGE = "jsm:sxb:lock:parts:base:manage:";
        public final static String MATERIAL_CATEGORY = "jsm:sxb:lock:material:category:";
        public final static String MATERIAL_PURCHASE = "jsm:sxb:lock:material:purchase:";
        public final static String MATERIAL_STOCK_LOCK = "jsm:sxb:lock:material:stock:";
        public final static String MATERIAL_SALES = "jsm:sxb:lock:material:sales:";
        public final static String GOODS_MATERIAL_PURCHASE = "jsm:sxb:lock:goods:material:purchase:";
        public final static String GOODS_MATERIAL_PURCHASE_RET = "jsm:sxb:lock:goods:material:purchase:ret:";
        public final static String MATERIAL_WORKER_INCR = "jsm:sxb:lock:material:worker:incr";
        public final static String TRADE_RECORD_LOCK = "jsm:sxb:lock:trade:record:";
        //订单号每日流水
        public final static String ORDER_NUM = "jsm:sxb:orderNo:";

        public final static String LOCK_WALLET = "jsm:sxb:orderNo:LOCK_WALLET";

        public final static String LOCK_GOODS_MATERIAL = "jsm:sxb:goods:material:";

        public final static String ORDER_ENGIN_BASE =  "jsm:sxb:lock:order:engin:base:";

        // 接口令牌
        public final static String INF_TOKEN = "jsm:sxb:token:inf";

        //维修日结汇总
        public final static String LOCK_DAILY_BANKACCOUNT = "jsm:sxb:SETTLE:LOCK:BANKACCOUNT:";
        public final static String LOCK_DAILY_SUMMARY = "jsm:sxb:SETTLE:LOCK:DAILY:SUMMARY";
        public final static String BALANCE_SEL_MOBILE_SMS = "jsm:sxb:SETTLE:BALANCE:SMS";
        public final static String ISSUE_SAL_MOBILE_SMS = "jsm:sxb:SETTLE:ISSUE:SMS";
        public final static String LOCK_SUMMARY_ISSUE = "jsm:sxb:SETTLE:lock:issue:summary";
        public static final String LOCK_MATERIAL_PURCHASE = "jsm:sxb:material:purchase:";

        public final static String NEW_IN = "jsm:sxb:parts:new:in:";
        public static final String OLD_OUT = "jsm:sxb:parts:old:out:";
        public static final String NEW_REFUND = "jsm:sxb:parts:new:refund:";
        public static final String PARTS_SALES = "jsm:sxb:lock:parts:sales:";
        public static final String WRITE_SALES_ITEM = "jsm:sxb:parts:write:sales:item:";
        public static final String NEW_CHANGE = "jsm:sxb:parts:change:sales:";
        public static final String PARTS_REFUND = "jsm:sxb:lock:parts:refund";
        public static final String FDD_BATCH_SIGN_NOTIFY = "jsm:sxb:fdd:batch:sign:notify:";
        public static final String TOKEN_GREE = "SETTLE:TOKEN:GREE";
        public final static String TOKEN_GREE_V3 ="SETTLE:TOKEN:GREE:V3";
        public final static String SYNC_LOCK = "SYNC_LOCK:DEPT:MALL:";
    }
    public class ChatMessage {
        public final static String MSG_TYPE_DOC = "docmsg";
        public final static String MSG_TYPE_EXTERNAL_RED_PACKET = "external_redpacket";
        /**
         * 语音聊消息
         */
        public final static String MSG_TYPE_VOICE = "voice";

        public final static String MSG_TYPE_VIDEO = "video";
        /**
         * 图片消息类型
         */
        public final static String MSG_TYPE_IMAGE = "image";

        /**
         * 音频存档消息
         */
        public final static String MSG_TYPE_MEETING_VOICE_CALL = "meeting_voice_call";
        /**
         * 表情消息
         */
        public final static  String MSG_TYPE_EMOTION = "emotion";

    }


    public class SharePercent {
        public final static String SHARE_LIMIT_PERCENT = "0.2";
    }

    public class WXUrl {
        public final static String WX_PUSH_MSG_URL = "https://qyapi.weixin.qq.com/cgi-bin/externalcontact/add_msg_template?access_token=";
    }

}
