//package com.gree.mall.manager.controller.tag;
//
//import com.baomidou.mybatisplus.core.metadata.IPage;
//import com.baomidou.mybatisplus.core.toolkit.IdWorker;
//import com.gree.mall.manager.annotation.ApiNotAuth;
//import com.gree.mall.manager.bean.tag.TagGroupBean;
//import com.gree.mall.manager.exception.RemoteServiceException;
//import com.gree.mall.manager.helper.ResponseHelper;
//import com.gree.mall.manager.logic.common.WorkWechatLogic;
//import com.gree.mall.manager.logic.tag.TagGroupLogic;
//import com.gree.mall.manager.plus.entity.Tag;
//import com.gree.mall.manager.plus.entity.TagGroup;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import io.swagger.annotations.ApiParam;
//import lombok.extern.slf4j.Slf4j;
//import me.chanjar.weixin.common.error.WxErrorException;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.web.bind.annotation.*;
//
//import javax.servlet.http.HttpServletRequest;
//import java.rmi.RemoteException;
//import java.util.List;
//
//@Slf4j
//@RestController
//@Api(value = "标签组管理", tags ={"标签组管理"} )
//@RequestMapping(value = "/tag/group", produces = "application/json; charset=utf-8")
//public class TagGroupController {
//
//    @Autowired
//    private TagGroupLogic tagGroupLogic;
//
//
//    @ApiNotAuth
//    @GetMapping("/list")
//    @ApiOperation("获取标签组列表")
//    public ResponseHelper list(HttpServletRequest request){
//        return ResponseHelper.success(tagGroupLogic.list(request));
//    }
//
//    @GetMapping("/tag/list")
//    @ApiOperation("根据标签组id获取标签列表")
//    public ResponseHelper<List<Tag>> listTag(@ApiParam(value = "标签组id",required = true) @RequestParam String tagGroupId){
//
//        return ResponseHelper.success(tagGroupLogic.listTag(tagGroupId));
//    }
//
//    @PostMapping("/add")
//    @ApiOperation("添加标签组")
//    public ResponseHelper<TagGroup> add(
//            @ApiParam(value = "标签组名称",required = true) @RequestParam String groupName,
//            HttpServletRequest request
//    ) throws RemoteServiceException {
//        return ResponseHelper.success(tagGroupLogic.add(groupName,request));
//
//    }
//
//    @PostMapping("/tag/add")
//    @ApiOperation("添加标签")
//    public ResponseHelper<Tag> addTag(
//            @ApiParam(value = "标签组id",required = true) @RequestParam String tagGroupId,
//            @ApiParam(value = "标签名称",required = true) @RequestParam String tagName,
//            HttpServletRequest request
//    ) throws RemoteServiceException {
//        return ResponseHelper.success(tagGroupLogic.addTag(tagGroupId,tagName,request));
//    }
//
//    @PostMapping("/del")
//    @ApiOperation("删除标签组")
//    public ResponseHelper del(
//            @ApiParam(value = "标签组id",required = true) @RequestParam String tagGroupId,
//            HttpServletRequest request
//    ) throws RemoteServiceException {
//        tagGroupLogic.del(tagGroupId,request);
//        return ResponseHelper.success();
//    }
//
//
//    @PostMapping("/update")
//    @ApiOperation("编辑标签,仅修改标签名称")
//    public ResponseHelper update(
//            @ApiParam(value = "object",required = true) @RequestBody TagGroupBean tagGroupBean,
//            HttpServletRequest request
//    ) throws RemoteServiceException {
//        tagGroupLogic.update(tagGroupBean,request);
//        return ResponseHelper.success();
//    }
//
//
//
//}
