package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum CodeAccStatusEnum implements BaseEnum{
    GIVE("GIVE","入库"),
    OUT("OUT","出库"),

    ;


    @JsonValue
    @EnumValue
    private final String key;
    private final String remark;




}