package com.gree.mall.manager.enums.material;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum SourceSalesEnum implements BaseEnum {

    ONLINE("ONLINE","在线订单"),
    SELF("SELF","自建订单"),
    ;

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;

}
