package com.gree.mall.manager.enums.material;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum UnitEnum implements BaseEnum {
    C("C","整套"),
    I("I","单个");

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;

//    @JsonCreator(mode = JsonCreator.Mode.DELEGATING)
//    public static UnitEnum create(String key) {
//        return BaseEnum.keyToEnum(UnitEnum.class, key);
//    }
}
