package com.gree.mall.manager.enums.workorder;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum ExamineProjectTypeEnum implements BaseEnum {
    PUNISH("PUNISH","惩罚"),
    REWARD("REWARD","奖励");

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;
}
