package com.gree.mall.manager.exception;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wy
 */
@Getter
@Setter
public class FeignServiceException extends RemoteServiceException {

    private String serviceName;
    private String requestUrl;
    private List<String> serviceStackTrace;

    public FeignServiceException(int status, String message) {
        super(status, message);
    }

}
