package com.gree.mall.manager.zfire.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class WebsitGoodsParamBean extends ZfireParamBean {

    @ApiModelProperty(value = "是否显示库存数量")
    private Boolean isShowStockQty = Boolean.FALSE;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "仓储id")
    private String storageId;
}
