package com.gree.mall.manager.zfire.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;


@Data
public class ZfireCustomParam {
    @ApiModelProperty(value = "id")
    private String id;
    @NotBlank
    @ApiModelProperty(value = "自定义条件名称")
    private String name;
    @NotBlank
    @ApiModelProperty(value = "模块id")
    private String moduleId;
    @NotNull
    @ApiModelProperty(value = "组成条件")
    private List<QueryParamBean> items;

}
