package com.gree.mall.manager.zfire.test;

import com.gree.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


@Data
public class BaseManageBean {
    @ZfireField(hide = true)
    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "配件基础名称")
    private String value;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "类型")
    private String type;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "类型")
    private String typeName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "状态")
    private Boolean state;

    @ZfireField(colName="state", frontCode = "STATE", type="select")
    @ApiModelProperty(value = "状态")
    private String stateName;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人名称")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

}
